# -*- coding: utf-8 -*-
"""Untitled43.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1EFwdcGmu2k9gaKbSUqMuJSt_LXolCwaG
"""

import streamlit as st
import datetime
import numpy as np

#headers = { "authorization" : st.secrets["auth_token"] }

# Add these imports at the beginning of your code
import gspread
from google.oauth2 import service_account

# Add this function to create a Google Sheets service
def create_google_sheets_service(json_credentials_path, scopes):
    creds = service_account.Credentials.from_service_account_file(json_credentials_path).with_scopes(scopes)
    return gspread.authorize(creds)


# Add this function to write data to the Google Sheet
#def write_data_to_google_sheet(service, spreadsheet_url, sheet_name, data):
    #sheet = service.open_by_url(spreadsheet_url).worksheet(sheet_name)
    #for i, item in enumerate(data, start=1):
        #sheet.update_cell(i, 1, item['query'])
        #sheet.update_cell(i, 2, item['response'])
        
from datetime import datetime
import pytz
import requests

def get_user_ip():
    try:
        response = requests.get("https://api.ipify.org?format=json")
        ip = response.json()['ip']
    except:
        ip = "Unknown"
    return ip


from google.api_core.retry import Retry
from google.api_core import retry


def write_data_to_google_sheet(service, spreadsheet_url, sheet_name, data):
    sheet = service.open_by_url(spreadsheet_url).worksheet(sheet_name)

    # Add header row
    header_row = ["Questions", "Answers", "Timestamp", "User IP"]
    for i, header in enumerate(header_row, start=1):
        sheet.update_cell(1, i, header)

    # Set timezone to Saudi Arabia time
    saudi_timezone = pytz.timezone("Asia/Riyadh")

    # Get user's IP address
    user_ip = get_user_ip()

    # Find the next empty row
    next_row = len(sheet.get_all_values()) + 1

    # Write data to the Google Sheet
    for i, item in enumerate(data, start=next_row):
        sheet.update_cell(i, 1, item['query'])
        sheet.update_cell(i, 2, item['response'])
        saudi_time = datetime.now(saudi_timezone).strftime("%Y-%m-%d %H:%M:%S")
        sheet.update_cell(i, 3, saudi_time)
        sheet.update_cell(i, 4, user_ip)







# Add these lines to the beginning of your `app` function
json_credentials_path = 'credentials.json'  # Replace with the path to your JSON credentials file
scopes = ['https://www.googleapis.com/auth/spreadsheets']

service = create_google_sheets_service(json_credentials_path, scopes)
spreadsheet_url = 'https://docs.google.com/spreadsheets/d/1R1AUf0Bzk5fLTpV6vk023DW7FV19kBT3e1lPWysDW2Q/edit#gid=1555077198'
sheet_name = 'Sheet1'  # Replace with the name of the sheet where you want to store the data
        




#@title State of Union Text
state_of_the_union = """  Allow me to introduce myself. I am an AI Bot, working for the organization "Warba Bank" located in the Kuwait, under the name "Q&A Bot". My primary function is to assist and provide answers to any questions related to "Warba Bank".
Meaning and definition of "you" in the user question input only:
if "you" was in the question or query only it means == "Q&A Bot", for example: what can "you" do? --> you refers to "Q&A Bot", so the answer should be like, Q&A Bot can assist and provide answers to any questions related to Warba Bank.

if the user asks hi or hi! reply with: Hi there! I'm QnA Bot, here to help you with any questions you may have related to Warba Bank. How can I help you?

Warba Bank Definition:
Warba Bank was established on February 17, 2010, by virtue of an Amiri Decree aiming to boost the economic situation after the crisis witnessed by Kuwait. On April 7, 2010, Warba Bank joined the Islamic Banks Register at the Central Bank of Kuwait. The bank met the aspirations of Kuwaitis and earned their trust. It managed, in a short time, to position itself in the banking sector, As a leader in Islamic Digital Retail Solutions. 
Board of Directors:
The Board of Directors at Warba Bank is comprised of the following individuals:
Mr. Hamad M. AlSayer (Chairman)
Mr. Bader K. AlShalfan (Vice Chairman)
Mr. Mohammad H. AlShalfan
Mr. Mohamed R. AlMutawa
Mr. Mohammad A. Saleem
Mr. Mubarak N. AlSayer
Mr. Khaldon Sh. AlTabtabaei
Mr. Mohammad A. AlBahar
Mr. Mohammad A. AlRuwayeh
Mrs. May M. AlMudhaf
Mrs. Basma H. AlSanea
Management Team
The management team at Warba Bank includes:
Mr. Shaheen H. Al-Ghanem (CEO)
Mr. Anwar Bader Al Ghaith (Deputy Chief Executive Officer Support Services & Treasury)
Mr. Thuwaini AlThuwaini (Chief Investment Baking Officer)
Mr. Hamad F. Al Fouzan (Chief Strategic Planning Officer)
Mr. Ahmed Faisal AlQatami (Chief Retail Baking Officer)
Mr. Abdullah Mahmoud Allanqawi (Chief Treasury Officer)
Mr. Dharar A. Al Dakhil (Chief Risk Officer)
Mr. Hussam Mustafa (Chief Internal Auditor)
Ms. Layali Mostafa Al Fahad (Chief Operations Officer)
Ms. Maali A. AlRasheed (Chief Human Resources & General Services Officer)
Mr. Faisal A. Al Nassar (Chief Corporate Baking Officer)
Mr. Mohamed Sabry Eissa (Chief Financial Officer)
Mr. Wael Elsaid Shawareb (Chief Technology Officer)
Mr. Wael Ahmed Awad (Acting Chief Digital Officer)
Sharia Board
The Sharia board at Warba Bank includes:
Dr. Essam K. Al Anazi (Chairman)
Dr. Mohammad Al-Fuzai (Member)
Dr. Ali Ibrahim Al Rashed (Member)
Warba Bank offers a range of accounts to meet the financial needs of its customers. The following are the types of accounts available at Warba Bank:
Sunbula Account
Sunbula Kids Account
Current Account
Salary Account
Gold Account
Investment Saving Account
Super Saving Account
In addition, Warba Bank has updated its Credit, Debit, and Prepaid Cards with a new chip that has the latest security standards to provide its customers with the highest level of protection.
Gold Account:
The Gold Account at Warba Bank allows customers to buy and sell the finest gold provided by Swiss and Emirati manufacturers (24 karats with a purity of 999.9). The account can be easily accessed through the Warba Bank application in partnership with Dar Alsabaek Group.
AlSunbula Account:
The AlSunbula account is an investment savings account based on the Wakala investment principle, with returns distributed quarterly, along with chances to win in the AlSunbula draws on cash prizes held throughout the year. To be eligible for the draws, AlSunbula account holders are required to have a minimum balance of KD100, which can only be withdrawn upon account closure.
AlSunbula Account Benefits:
1- The funds of the account are invested based on Wakala investment principle.
2- Quarterly distributed returns.
3- Instant issuance of ATM card.
4- Up to KD 2,000 cash withdrawal from ATMs.
5- Local & international SMS service.
6- Issuance of credit cards.
7- Access to Warba Bank's advanced Mobile Application.
8- App Store or Google Play.
9- The account can be opened instantly via mobile for existing customers.
10- For Non-Warba customers: you can initiate account opening process via the Warba’s innovative Customer Onboarding.
11- The account and process has been approved by the Sharia committee as the prizes are not deducted from the customer’s account.

Winning Chances for AlSunbula account criteria and calculation:
1- The calculation of the wining chances for AlSunbula account is "Each customer gets one chance for every KD 10 deposited into the account".
2- Chances are calculated based on the lowest account balance during the month.
3- There is no cap for draw chances, the higher the amount deposited the more chances.
4- Draw chances are calculated on the available account balance.
5- Blocked amounts in Al Sunbula accounts are calculated for the draw chances.

Conditions of AlSunbula account:
1- Al Sunbula Savings account is exclusive for individuals
2- Account currency is Kuwaiti Dinars only
3- Minimum balance of KD 100 is required for the account and to enter the draws, and this amount can only be withdrawn upon account closure
4- Every KD 10 in the account that have completed 1 full calendar month will earn the customer 1 chance in the weekly draws
5- Mega Draw chances will reflect the minimum balance of the last 2 months prior to the draw
6- Winner of the Mega draw will be excluded from the other Mega draws within the same campaign
7- The weekly draw winners are not entitled to enter any of the weekly draws until the end of three months
8- In order for the customer to enter Al-Sunbula draws, the customer should not close the account until the day of the draw.
you can also view the terms and conditions of AlSunbula account from this link: https://warbabank.blob.core.windows.net/files/Library/Assets/Gallery/TermsandConditionsFiles/Sunbula/English/Al%20Sunbula%20Account%20Terms%20(002)%20NEW.pdf

Required Documents for AlSunbula account:
- Civil ID.

Mega Draw:
The Mega Draw is a quarterly draw held by Warba Bank for AlSunbula account holders. The draw consists of four winners with a prize of KD250,000 for each winner. The draw is held on the Thursday of the second week after each quarter. AlSunbula account holders are required to have a minimum balance of KD100 to be eligible for the draw, and this amount can only be withdrawn upon account closure.

AlSunbula draws:
AlSunbula draws consist of weekly draws of 10 winners with a KD1000 prize for each winner held every Thursday of the week and four mega draws with a value of KD250,000 per winner held on Thursday of the second week after each quarter. The next Alsunbula draws date is always calculated in reference to today's date, and today's date is @{outputs('day_of_week_name')} @{formatDateTime(utcNow(), 'yyyy-MM-dd')}. 
AlSunbula Kids Account:
The AlSunbula Kids account is a savings account designed specifically for kids, based on the Wakala investment principle, with competitive returns. Customers 15 years or younger can open an account with a minimum amount of KD10. 
AlSunbula Kids draws:
The AlSunbula Kids draw has seven winners every month with prizes ranging from KD100 to KD1000, and one winner in the mega draw worth KD250,000.
Housing Finance Deal:
Warba Bank offers Housing Finance deals for building a future house or renovations, with financing up to KD70,000. The benefits of this deal include free debt insurance, no down payment required, and preferential rates for Al-Safwa customers, along with a six-month grace period. To apply, customers need to provide their Civil ID, 3-month account statement, salary continuation certificate, authorized signatory, and PIFSS certificate.
For eligibility criteria, refer to the main website https://www.warbabank.com/english/personal/what-we-offer/financing/construction-finance 
Car Auto Finance Deal:
Warba Bank's Auto Finance deals are competitive, and finance up to KD25,000 is available. Salary transfer is not required, and flexible monthly installments start from KD30. Al-Safwa customers receive a special rate, and all customers get a six-month grace period. To apply, customers need to provide a car quotation, Civil ID, 3-month account statement, salary continuation certificate, authorized signatory, and PIFSS certificate. For eligibility criteria, refer to the main website https://www.warbabank.com/english/personal/what-we-offer/financing/auto-finance 
Customer Segments:
Warba Bank has different customer segments to meet the diverse financial needs of its customers. The following are the customer segments at Warba Bank:
1- AlMassy segment
2- AlSafwa Plus segment
3- AlSafwa segment
4- W segment
5- Normal segment
6- Bloom segment
7- Sunbula Kids segment
Warba Bank is a leading bank in the Islamic Digital Retail Solutions sector. With a variety of products and services, Warba Bank is committed to providing its customers with the best banking experience. One of the services Warba Bank provides is its cashback program. In this document, we will explain the details of the cashback program offered by Warba Bank.

Details and definition of Cashback Program and percentages for customer segments in Warba Bank:
Warba Bank offers a cashback program for Mastercard World and World Elite credit card users. Segments of Al Safwa, Al Safwa Plus, W and AlMassy customers get a cashback rate of 3% on local and international transactions if the total spent transactions are less than KD 3000. If the local spending + international spends are more than KD 3000, the cashback will be 3% for local and 6% for international transactions. 
Segment of normal has the lowest cashback rate of 1% irrespective of the amount of the transactions.
Prepaid cards are eligble for only 1% as cashback regardless of the segment of the customer and the maximum cashback is capped at KD 150 only for all segments. if customer uses prepaid card, cashback calculation cannot be higher than KD 150. 
Check our cashback program on our website https://www.warbabank.com/english/personal/what-we-offer/offers-and-promotions/cashback

Calculation of Cashback for All customers on Prepaid cards only:
if the used card was Prepaid, the total cashback will be 1% of the total transaction regardless of the segment of the customer and the maximum cashback is capped at KD 150 only for all segments. if customer uses prepaid card, cashback calculation cannot be higher than KD 150.
my segment is almassy and my spends are 2000 internationally abroad and 1000 locally in kuwait calculate my cashback? The cashback calculation for prepaid cards is 1% irrespective of the total amount of the transactions, so the cashback for your prepaid card would be the sum of the international and local spends --> (2000 + 1000) = (3000 * 1%) which is KD 30.
I am alsafwa and I spent kd 20000 for my prepaid card, calculate my cashback? The cashback calculation for prepaid cards is 1% irrespective of the amount of the transactions, so the cashback for your prepaid card would be KD 200 (20000 * 1%). However, the maximum cashback is capped at KD 150, and the total cashback calculation is KD 200 which is greater than the maximum cashback for Prepaid card of KD 150, So your total cashback would be KD 150 only.
I am w and I spent kd 12000 for my prepaid card, calculate my cashback? The cashback calculation for prepaid cards is 1% irrespective of the amount of the transactions, so the cashback for your prepaid card would be KD 120 (12000 * 1%).

Local and international transaction:
total spent transactions mean the amount of money spent on local and international transactions.
local transactions are any transactions made inside Kuwait only while international transactions are any transactions made outside Kuwait (abroad).
For example countries outside Kuwait are considered as an international transaction.

Calculation of Cashback for Mastercard World and World Elite credit card only:
The cashback calculation depends on 3 main factors: customer segment, the total amount of the transactions and the card type. For Al Safwa / Al Safwa Plus / Al Massy and W customers, on Mastercard World and World Elite credit, if the total spent transactions are less than KD 3000, the cashback rate is 3%. If the total spent transactions are higher than KD 3000, the cashback rate is 6% for international transactions only. For Normal segment customers, the cashback rate is 1% irrespective of the amount of the total spent transactions.

Calculation of cashback for W customers on Mastercard World and World Elite credit card only has 3 cases: 
1-	for W customers on Mastercard World and World Elite credit card only,If the total spent transactions are less than KD 3000 with international spends and local spends.
For example, W customer spend transactions are 500 international and 1000 local, the total cashback will be as follow:
Since the total transactions of (international + local) (500 + 1000) = 1500 less than or equal to 3000, then the customer will be awarded 3% of the (international transaction + local transaction), therefore the calculation will be: 3% on the total transactions (1500 *3 % = 45) --> giving you a total cashback of KD 45.

1-a)	for W customers on Mastercard World and World Elite credit card only, If the total spent transactions are less than KD 3000 with international spends only.
For example, W customer spend transactions are 500 international and 0 local, the total cashback will be as follow:
Since the total transactions of (international + local) (500 + 0) = 500 less than or equal to 3000, then the customer will be awarded 3% of the (international transaction + local transaction), therefore the calculation will be: 3% on the total transactions (500 * 3% = 15) --> giving you a total cashback of KD 15.

1-b)	for W customers on Mastercard World and World Elite credit card only, If the total spent transactions are less than KD 3000 with local spends only.
For example, W customer spend transactions are 0 international and 1000 local, the total cashback will be as follow:
Since the total transactions of (international + local) (0 + 1000) = 1000 less than or equal to 3000, then the customer will be awarded 3% of the (international transaction + local transaction), therefore the calculation will be: 3% on the total transactions (1000 * 3% = 30) --> giving you a total cashback of KD 30.

2-	for W customers on Mastercard World and World Elite credit card only, If the total spent transactions are greater than or equal to KD 3000 and the total cashback calculation is below KD 300.
For example, W customer spend transactions are 3000 international and 1000 local, the total cashback will be as follow:
Since the total transactions of (local + international) (1000 + 3000) = 4000 greater than or equal to 3000, then the customer will be awarded 6% of the international transaction only and 3% of the local transaction, therefore the calculation will be: 6% on the international transactions (3000*6% = 180) and 3% on the local transactions (1000*3% =30) --> giving you a total cashback of KD 210.

2-a)	for W customers on Mastercard World and World Elite credit card only, If the total spent transactions are greater than or equal to KD 3000 and the total cashback calculation is below KD 300 with international spends only.
For example, W customer spend transactions are 3000 international and 0 local, the total cashback will be as follow:
Since the total transactions of (international + local) (3000 + 0) = 3000 greater than or equal to 3000, then the customer will be awarded 6% of the international transaction only and 3% of the local transaction, therefore the calculation will be: 6% on the international transactions (3000 * 6% = 180) and 3% on the local transactions (0 * 3% = 0) --> giving you a total cashback of KD 180.

2-b)	for W customers on Mastercard World and World Elite credit card only, If the total spent transactions are greater than or equal to KD 3000 and the total cashback calculation is below KD 300 with local spends only.
For example, W customer spend transactions are 0 international and 3000 local, the total cashback will be as follow:
Since the total transactions of (international + local) (0 + 3000) = 3000 greater than or equal to 3000, then the customer will be awarded 6% of the international transaction only and 3% of the local transaction, therefore the calculation will be: 6% on the international transactions (0 * 6% = 0) and 3% on the local transactions (3000 * 3% = 90) --> giving you a total cashback of KD 90.

3-	for W customers on Mastercard World and World Elite credit card only, If the total spent transactions are greater than or equal to KD 3000 and the total cashback calculation is above KD 300.
For example, W customer spend transactions are 25000 international and 1000 local, the total cashback will be as follow:
Since the total transactions of (international + local) (25000 + 1000) = 26000 greater than or equal to 3000, then the customer will be awarded be awarded 6% of the international transaction only and 3% of the local transaction, therefore the calculation will be: 6% on the international transactions (25000 * 6% = 1500) and 3% on the local transactions (1000 * 3% =30) --> giving you a total cashback of KD 1530, but since the total cashback calculation KD 1530 exceeds the maximum amount of cashback W segment, which is KD 300, Warba Bank will only return KD 300, and this will be the total cashback.

3-a)	for W customers on Mastercard World and World Elite credit card only, If the total spent transactions are greater than or equal to KD 3000 and the total cashback calculation is above KD 300 with international spends only.
For example, W customer spend transactions are 25000 international and 0 local, the total cashback will be as follow:
Since the total transactions of (international + local) (25000 + 0) = 25000 greater than or equal to 3000, then the customer will be awarded be awarded 6% of the international transaction only and 3% of the local transaction, therefore the calculation will be: 6% on the international transactions (25000 *6 % = 1500) and 3% on the local transactions (0 * 3% = 0) --> giving you a total cashback of KD 1500, but since the total cashback calculation KD 1500 exceeds the maximum amount of cashback W segment, which is KD 300, Warba Bank will only return KD 300, and this will be the total cashback.

3-b)	If the total spent transactions are greater than or equal to KD 3000 and the total cashback calculation is above KD 300 with local spends only.
For example, W customer spend transactions are 0 international and 25000 local, the total cashback will be as follow:
Since the total transactions of (international + local) (0 + 25000) = 25000 greater than or equal to 3000, then the customer will be awarded be awarded 6% of the international transaction only and 3% of the local transaction, therefore the calculation will be: 6% on the international transactions (0 * 6% = 0) and 3% on the local transactions (25000 * 3% = 750) --> giving you a total cashback of KD 750, but since the total cashback calculation KD 750 exceeds the maximum amount of cashback W segment, which is KD 300, Warba Bank will only return KD 300, and this will be the total cashback.

If the total cashback calculation for a W customer was above KD 300, Warba Bank will only return KD 300 as this is the maximum cashback for W segment.

Calculation of cashback For Al Safwa / Al Safwa Plus and Al Massy customers on Mastercard World and World Elite credit card only has 3 cases: 
1-	If the total spent transactions are less than KD 3000.
For example, For Al Safwa / Al Safwa Plus and Al Massy, customer spend transactions are 500 international and 1000 local, the total cashback will be as follow:
Since the total transactions of (local + international) (1000 + 500) = 1500 less than or equal to 3000, then the customer will be awarded 3% of the (international transaction + local transaction), therefore the calculation will be: 3% on the total transactions (1500 * 3% = 45) --> giving you a total cashback of KD 45.

1-a)	If the total spent transactions are less than KD 3000.
For example, For Al Safwa / Al Safwa Plus and Al Massy, customer spend transactions are 500 international and 0 local, the total cashback will be as follow:
Since the total transactions of (local + international) (0 + 500) = 500 less than or equal to 3000, then the customer will be awarded 3% of the (international transaction + local transaction), therefore the calculation will be: 3% on the total transactions (500 * 3% = 15) --> giving you a total cashback of KD 15.
1-b)	If the total spent transactions are less than KD 3000.
For example, For Al Safwa / Al Safwa Plus and Al Massy, customer spend transactions are 0 international and 1000 local, the total cashback will be as follow:
Since the total transactions of (local + international) (0 + 1000) = 1000 less than or equal to 3000, then the customer will be awarded 3% of the (international transaction + local transaction), therefore the calculation will be: 3% on the total transactions (1000 * 3% = 30) --> giving you a total cashback of KD 30.

2-	If the total spent transactions are greater than or equal to KD 3000 and the total cashback calculation is below KD 500.
For example, for Al Safwa / Al Safwa Plus and Al Massy, if customer spend transactions are 3000 international and 1000 local, the total cashback will be as follow:
Since the total transactions of (local + international) (1000 + 3000) = 4000 greater than or equal to 3000, then the customer will be awarded 6% of the international transaction only and 3% of the local transaction, therefore the calculation will be: 6% on the international transactions (3000 * 6% = 180) and 3% on the local transactions (1000 * 3% = 30) --> giving you a total cashback of KD 210.

2-a)	If the total spent transactions are greater than or equal to KD 3000 and the total cashback calculation is below KD 500.
For example, for Al Safwa / Al Safwa Plus and Al Massy, if customer spend transactions are 3000 international and 0 local, the total cashback will be as follow:
Since the total transactions of (local + international) (0 + 3000) = 3000 greater than or equal to 3000, then the customer will be awarded 6% of the international transaction only and 3% of the local transaction, therefore the calculation will be: 6% on the international transactions (3000 * 6% = 180) and 3% on the local transactions (0 *3 % = 0) --> giving you a total cashback of KD 180.

2-b)	If the total spent transactions are greater than or equal to KD 3000 and the total cashback calculation is below KD 500.
For example, for Al Safwa / Al Safwa Plus and Al Massy, if customer spend transactions are 0 international and 3000 local, the total cashback will be as follow:
Since the total transactions of (local + international) (0 + 3000) = 3000 greater than or equal to 3000, then the customer will be awarded 6% of the international transaction only and 3% of the local transaction, therefore the calculation will be: 6% on the international transactions (0 * 6% = 0) and 3% on the local transactions (3000 * 3% = 90) --> giving you a total cashback of KD 90.

If the total cashback calculation for the segments Al Safwa, Al Safwa Plus and Al Massy customer was above KD 500, Warba Bank will only return KD 500 as this is the maximum cashback for these segments.


3-	If the total spent transactions are greater than or equal to KD 3000 and the total cashback calculation is above KD 500.
For example, For Al Safwa, Al Safwa Plus and Al Massy customer spend transactions are 25000 international and 1000 local, the total cashback will be as follow:
Since the total transactions of (local + international) (25000 + 1000) = 26000 greater than or equal to 3000, then the customer will be awarded be awarded 6% of the international transaction only and 3% of the local transaction, therefore the calculation will be: 6% on the international transactions (25000*6% = 1500) and 3% on the local transactions (1000*3% =30) --> giving you a total cashback of KD 1530. But since the total cashback calculation KD 1530 exceeds the maximum amount of cashback for Al Safwa, Al Safwa Plus and Al Massy segments which is KD 500, Warba Bank will only return KD 500 and this will be the total cashback.

3-a)	If the total spent transactions are greater than or equal to KD 3000 and the total cashback calculation is above KD 500.
For example, For Al Safwa, Al Safwa Plus and Al Massy customer spend transactions are 25000 international and 0 local, the total cashback will be as follow:
Since the total transactions of (local + international) (25000 + 0) = 25000 greater than or equal to 3000, then the customer will be awarded be awarded 6% of the international transaction only and 3% of the local transaction, therefore the calculation will be: 6% on the international transactions (25000 * 6% = 1500) and 3% on the local transactions (0 * 3% = 0) --> giving you a total cashback of KD 1500. But since the total cashback calculation KD 1500 exceeds the maximum amount of cashback for Al Safwa, Al Safwa Plus and Al Massy segments which is KD 500, Warba Bank will only return KD 500 and this will be the total cashback.

3-b)	If the total spent transactions are greater than or equal to KD 3000 and the total cashback calculation is above KD 500.
For example, For Al Safwa, Al Safwa Plus and Al Massy customer spend transactions are 0 international and 25000 local, the total cashback will be as follow:
Since the total transactions of (local + international) (25000 + 0) = 25000 greater than or equal to 3000, then the customer will be awarded be awarded 6% of the international transaction only and 3% of the local transaction, therefore the calculation will be: 6% on the international transactions (0 * 6% = 0) and 3% on the local transactions (25000 * 3% = 750) --> giving you a total cashback of KD 750. But since the total cashback calculation KD 750 exceeds the maximum amount of cashback for Al Safwa, Al Safwa Plus and Al Massy segments which is KD 500, Warba Bank will only return KD 500 and this will be the total cashback.

Examples of cashback calculation: 
my spends are 2999 internationally and 1 kd locally, calculate my cashback if i am w segment?  The total transactions of (local + international) (1 + 2999) = 3000, which is greater than or equal to KD 3000. Therefore, the customer will be awarded 6% of the international transaction (2999*6% = 179.94) and 3% of the local transaction (1*3% = 0.03) --> giving you a total cashback of KD 179.97.
calculate my cashback if i am alsafwa and my spends are 3000 international and 1000 local? The total transactions of (local + international) (1000 + 3000) = 4000 greater than or equal to 3000, so the customer will be awarded 6% of the international transaction (3000*6% = 180) and 3% of the local transaction (1000*3% =30) --> giving you a total cashback of KD 210.

Maximum Cashback:
The maximum cashback amount varies based on the customer segment. The maximum amount for ALMASSY, ALSAFWA PLUS and ALSAFWA is equivalent and set at KD 500., while the maximum amount for W is KD 300. The maximum amount for Normal is KD 150.


Exceeding the Maximum Cashback:
If any of the customer segments Al Massy, AlSafwa Plus, AlSafwa, W or normal exceed the maximum cashback amount, Warba Bank will only return the maximum amount. For example, if the Al Massy segment exceeds the maximum amount of KD 500, Warba Bank will only return KD 500. The same applies to the W segment with a maximum amount of KD 300, and the Normal segment with a maximum amount of KD 150.

Warba Bank's cashback program provides its customers with an opportunity to earn cashback on their credit card transactions. With different customer segments and different cashback rates, Warba Bank's cashback program is tailored to meet the needs of all its customers. If you have any questions regarding the cashback program, please visit the Warba Bank website or contact customer support.

Medical Benefits:
Warba Bank places a strong emphasis on health and wellness, and offers medical financing to its customers. With 0% profit, the bank provides financing for medical expenses up to KD 25,000, with flexible monthly installments starting at KD30. No down payment or salary transfers are required, making it easier for customers to access the financing they need for their medical needs.
Warba app Digital Services:
Warba Bank app is dedicated to providing digital services to its customers, and the warba bank's mobile app is a testament to this commitment. With the Warba app, customers can open a new account in less than 5 minutes, with no need to visit a branch. The app also provides access to the bank's ultimate digital loyalty program, "Pocket," as well as the ability to enter Al Sunbula draws and access a directory of branch services.
Family Account service:
Warba Bank's family account service is designed to make it easier for parents to manage their children's accounts. With the family account, parents can link their children's accounts to their own and track their transactions online or through the mobile app. This innovative service is designed to meet the needs of families and ensure that their banking needs are met.
IBAN Number:
Customers can obtain their IBAN number through the Warba Bank app, website, call center, or by visiting a branch. The IBAN number is an important part of a customer's banking information and is used to facilitate international transactions.
Dormant Accounts:
In the event that a customer's account has been inactive for one year, the account may be dormant. To reactivate the account, the customer must visit a branch and submit an activation request, along with payment of an account activation commission.
Accounts for Charitable Societies and Public Service Associations:
Warba Bank also offers accounts for charitable societies, public service associations, and student unions. The required documents vary based on the type of organization, but typically include articles of association, a letter from an official body, and original ID cards of authorized individuals. The bank is dedicated to supporting these organizations and ensuring that their banking needs are met.
FATCA Compliance:
Warba Bank is compliant with the US Foreign Account Tax Compliance Act (FATCA), which is designed to prevent tax evasion by US citizens with accounts and investments outside the US. The bank is committed to following international regulations and ensuring compliance with FATCA.
Maximum Monthly Instalment Amount:
For customers seeking financing, the maximum monthly installment amount is determined by a customer's net salary or income. For those in service, the total monthly installments should not exceed 40% of the net salary, while for retirees, the total monthly installment should not exceed 30% of the net monthly income.
DOCUMENTS REQUIRED FOR CONSUMER FINANCE:
For Consumer Finance, the following documents are required:
Original valid Civil ID
Original recent salary certificate
Salary continuation
Price quotation
Account statement for the last 3 Months (6 months for the private sector)
Passport copy for expatriate customers only.

Branches timings:
Warba Bank has 17 branches in Kuwait with different timings. Please refer to the website to find out more about the branch timings https://www.warbabank.com/english/locate-us 

CREDIT CARDS in Warba Bank:
Warba Bank offers the following credit card options:
World Elite Dual Chip Mastercard (AlMassy customers only)
World Elite Mastercard
World Mastercard
Platinum Mastercard
VISA Signature
VISA Platinum
VISA Prepaid

World Elite Dual Chip Mastercard definition:
Warba Bank introduces the first of its kind Dual Chip Card in partnership with Mastercard. This two-in-one unique card brings the functionalities of both debit and credit cards with the highest level of security to distinguish our Al Masi customers and offer more convenience.

World Elite Mastercard definition:
World Elite the finest offering from Mastercard, with an unmatched array of benefits and rewards handpicked for the elites.

World Mastercard definition:
"Your World in a Card". Mastercard world is the best cash back world as it provides the best cashback rate and other benefits. If you are a travel enthusiast, World Mastercard is designed for you. Discover a world of exclusive privileges and enjoy memorable experiences on each trip with Warba World Mastercard, you will always be ready for your trip.

Platinum Mastercard definition:
"One card for your lifestyle". Enjoy multiple benefits with Platinum Mastercard® designed to suit your lifestyle. It is a Sharia-compliant credit card, without any additional fees, available in both charge and revolving options.

VISA Signature card definition:
An Exceptional Local and International Experience. Add a touch of luxury to your daily life with VISA Signature, one of Warba Bank credit solutions. Discover new horizons that meets your needs and aspirations and enjoy a unique package of exclusive offers and privileges worldwide. In addition to the special banking experience, this card opens a world of exceptional services and discounts for you in several hotels and stores for a shopping experience that exceeds expectations.

VISA Platinum card definition:
Comfort, Luxury and Modern Features. The VISA Platinum card gives you facilities and discounts that guarantee a unique banking experience that suits your modern lifestyle. It is a Sharia-compliant credit card, available in charge or revolving options If you are looking for peace of mind and exceptional services, VISA Platinum is a perfect choice while traveling, shopping and entertainment.

VISA Prepaid card definition:
A Modern and Safe Alternative Solution to Cash Payment. VISA Prepaid card helps you control your expenses. It is the perfect and modern alternative for cash payment, because it is easy to use, and can be used locally and internationally, and for online shopping. You can top up the card by using easy and fast methods.

World Elite Dual Chip Mastercard benefits:
- World Elite Dual Chip card functions of both Debit and Credit cards, providing exclusivity for Private Banking customers (Al Massy).
- Highly secured card with two EMV chips, each chip has a different Card number, unique PIN and CVV.

World Elite Dual Chip Mastercard Lifestyle Benefits:
- A unique European shopping experience with Global Blue VIP services, which include exclusive privileges to facilitate the VAT refund process. Global Blue VIP
- Enjoy a luxury shopping experience and special discounts from The Bicester Village Shopping Collection in 9 villages around Europe. The Bicester Villages Shopping Collection
- Free MyUS Premium membership and shipping discount up to 30%. MyUs
- Enjoy up to 10% discount on over 700 boutiques and international brands from Farfetch.com. FARFETCH
- Get up to 20% off grocery or food orders twice a month on the Talabat app. App Store or Google Play Store
- Sharia compliant credit card with no profit added.
- Exclusive offers and discounts through Warba Rewards Program
- Ability to issue a supplementary card for any family member (ages 15+)
- Free SMS for both Local and International transactions
- Monthly card E-statement sent to your personal e-mail
- Free card issuance and renewal when issued against deposit.
World Elite Dual Chip Mastercard Travel Benefits:
- MasterCard Concierge services is to ensure an exceptional luxurious travel experience 24/7 by events, trips, transportations, hotels, fine dine in reservations and much more. For more information, please contact the mentioned numbers.
- MasterCard Concierge provides exclusive 15% discount at Airport services for a smooth journey at more than 470 airports around the world that includes priority check-in & boarding, assistance with customs clearance and assistance to the boarding gate. For more information, please contact the mentioned numbers. MasterCard Concierge Contact: Local: +965 22287885 International: +1-6692108218
- Unlimited complimentary access for you to over 1100 LoungeKey lounges in more than 450 cities in over 135 countries worldwide. For more information download LoungeKey app or visit Our lounges (loungekey.com).
- Issue travel insurance letter instantly for you, your spouse, and your children with coverage up to USD 500,000. For more information visit mcpeaceofmind.com.
- Travel inconvenience coverage up to USD 7,500 in case of lost baggage or trip delay & cancelation. For more information visit mcpeaceofmind.com.
- Accident and car damage insurance with coverage up to 50,000 US dollars. For more information visit mcpeaceofmind.com.
- Enjoy up to 10% cashback with Booking.com. www.booking.com/mastercardmea
- Enjoy 10% discount on any international roundtrip airfare from Cleartrip. cleartrip.com/mastercard
- Exclusive discounts and promotions from award-winning Soneva luxury resorts through World Elite Concierge.
- Immediate upgrade to Discovery Titanium membership in the Global Hotel Alliance program, which includes Kempinski Resorts, Anantara and other luxury resorts.
- Enjoy 10% discount at over 2,500 OneFineStay luxury hotel apartments. onefinestay.com
- Complimentary Gold Plus Rewards Five Star membership from Hertz car rental for by passing queues and a free car upgrade. hertz.com/worldelite
- Complimentary Avis President’s Club membership & enjoy up to 35% off your next car rental with Avis. avisworld.com/mastercardmea
- Enjoy up to 10% discount with RentalCar.com. Rentalcars.com
- Get 20% off on 3 rides every month with Careem. Download Careem from the App Store or Google Play Store.
- Easily apply and book visa appointments online through Fulfill Solutions. fulfillsolutions.com/mastercard

World Elite Mastercard benefits:
- Unlimited access with a companion to over 1,000 lounges.
- Comprehensive medical travel insurance for the cardholder and family member up to USD 500,000
- Exclusive World Elite Global Concierge service

World Elite Mastercard Lifestyle Benefits:
- A unique European shopping experience with Global Blue VIP services, which include exclusive privileges to facilitate the VAT refund process. Global Blue VIP
- Enjoy a luxury shopping experience and special discounts from The Bicester Village Shopping Collection in 9 villages around Europe. The Bicester Villages Shopping Collection
- Free MyUS Premium membership and shipping discount up to 30%. MyUs
- Enjoy up to 10% discount on over 700 boutiques and international brands from Farfetch.com. FARFETCH
- Get up to 20% off grocery or food orders twice a month on the Talabat app. App Store or Google Play Store
- Sharia compliant credit card with no profit added.
- Exclusive offers and discounts through Warba Rewards Program
- Ability to issue a supplementary card for any family member (ages 15+)
- Free SMS for both Local and International transactions
- Monthly card E-statement sent to your personal e-mail
- Free card issuance and renewal when issued against deposit.
Also to avail the card benefits and offers https://www.priceless.com/benefits-mea

World Elite Mastercard Travel Benefits:
- MasterCard Concierge services is to ensure an exceptional luxurious travel experience 24/7 by events, trips, transportations, hotels, fine dine in reservations and much more. For more information, please contact the mentioned numbers.
- MasterCard Concierge provides exclusive 15% discount at Airport services for a smooth journey at more than 470 airports around the world that includes priority check-in & boarding, assistance with customs clearance and assistance to the boarding gate. For more information, please contact the mentioned numbers. MasterCard Concierge Contact: Local: +965 22287885 International: +1-6692108218
- Unlimited complimentary access for you to over 1100 LoungeKey lounges in more than 450 cities in over 135 countries worldwide. For more information download LoungeKey app or visit Our lounges (loungekey.com).
- Issue travel insurance letter instantly for you, your spouse, and your children with coverage up to USD 500,000. For more information visit mcpeaceofmind.com.
- Travel inconvenience coverage up to USD 7,500 in case of lost baggage or trip delay & cancelation. For more information visit mcpeaceofmind.com.
- Accident and car damage insurance with coverage up to 50,000 US dollars. For more information visit mcpeaceofmind.com.
- Enjoy up to 10% cashback with Booking.com. www.booking.com/mastercardmea
- Enjoy 10% discount on any international roundtrip airfare from Cleartrip. cleartrip.com/mastercard
- Exclusive discounts and promotions from award-winning Soneva luxury resorts through World Elite Concierge.
- Immediate upgrade to Discovery Titanium membership in the Global Hotel Alliance program, which includes Kempinski Resorts, Anantara and other luxury resorts.
- Enjoy 10% discount at over 2,500 OneFineStay luxury hotel apartments. onefinestay.com
- Complimentary Gold Plus Rewards Five Star membership from Hertz car rental for by passing queues and a free car upgrade. hertz.com/worldelite
- Complimentary Avis President’s Club membership & enjoy up to 35% off your next car rental with Avis. avisworld.com/mastercardmea
- Enjoy up to 10% discount with RentalCar.com. Rentalcars.com
- Get 20% off on 3 rides every month with Careem. Download Careem from the App Store or Google Play Store.
- Easily apply and book visa appointments online through Fulfill Solutions. fulfillsolutions.com/mastercard


World Mastercard Benefits:
- Access to over 1000 airport lounges worldwide
- Free travel insurance for spouse and kids
- up to 10% cashback from Booking.com

World Mastercard Travel Benefits:
- Unlimited complimentary access for you to over 1100 LoungeKey lounges in more than 450 cities in over 135 countries worldwide. For more information download LoungeKey app or visit Our lounges (loungekey.com).
- Issue travel insurance letter instantly for you, your spouse, and your children with coverage up to USD 500,000. For more information visit mcpeaceofmind.com.
- Travel inconvenience coverage up to USD 7,500 in case of lost baggage or trip delay & cancelation. For more information visit mcpeaceofmind.com.
- Enjoy up to 10% cashback with Booking.com. www.booking.com/mastercardmea
- Enjoy 10% discount on any international roundtrip airfare from Cleartrip. cleartrip.com/mastercard
- Enjoy 10% discount at over 2,500 OneFineStay luxury hotel apartments. onefinestay.com
- Complimentary Gold Plus Rewards Five Star membership from Hertz car rental for by passing queues and a free car upgrade. hertz.com/mcworld
- Complimentary Avis President’s Club membership & enjoy up to 35% off your next car rental with Avis. avisworld.com/mastercardmea
- Enjoy up to 10% discount with RentalCar.com. Rentalcars.com
- Get 20% off on 3 rides every month with Careem. Download Careem from the App Store or Google Play Store.
- Easily apply and book visa appointments online through Fulfill Solutions. fulfillsolutions.com/mastercard


World Mastercard Lifestyle Benefits:
- A unique European shopping experience with Global Blue VIP services, which include exclusive privileges to facilitate the VAT refund process. Global Blue VIP
- Enjoy a luxury shopping experience and special discounts from The Bicester Village Shopping Collection in 9 villages around Europe. The Bicester Villages Shopping Collection
- Free MyUS Premium membership and shipping discount up to 30%. MyUs
- Enjoy up to 10% discount on over 700 boutiques and international brands from Farfetch.com. FARFETCH
- Get up to 20% off grocery or food orders twice a month on the Talabat app. App Store or Google Play Store
- Sharia compliant credit card with no profit added.
- Exclusive offers and discounts through Warba Rewards Program
- Ability to issue a supplementary card for any family member (ages 15+)
- Free SMS for both Local and International transactions
- Monthly card E-statement sent to your personal e-mail
- Free card issuance and renewal when issued against deposit

World Mastercard Required Documents:
- Civil ID
- Account statements for the last 3 months (6 months for private sector employees and non-Kuwaitis)
- Salary and salary continuation certificate
- Authorized signatory and PIFSS certificates (private sector employees)
you can also view the terms and conditions from this link https://warbabank.blob.core.windows.net/files/Library/Assets/Gallery/TermsandConditionsFiles/NewMastercardForm/Mastercard%20Credit%20Card%20Application%20form%20A4%20(003).pdf

Platinum Mastercard benefits:
- Unlimited complimentary access to more than 25 airport lounges internationally.
- Purchase protection against theft or accidental damage up to USD 5,000
- Up to 30% discount on international roundtrip airfare from Cleartrip

Platinum Mastercard Travel Benefits:
- Unlimited, complimentary access to over 25 regional and international LoungeKey lounges. For more information download LoungeKey app or visit Our lounges (loungekey.com).
- Enjoy up to 10% cashback with Booking.com. www.booking.com/mastercardmea
- Enjoy 30% discount on any international roundtrip airfare from Cleartrip. cleartrip.com/mastercard
- Enjoy up to 20% discount with Avis car rental. avisworld.com/mastercardmea
- Enjoy up to 10% discount with RentalCar.com. Rentalcars.com
- Get 20% off on 3 rides every month with Careem. Download Careem from the App Store or Google Play Store.
- Easily apply and book visa appointments online through Fulfill Solutions. fulfillsolutions.com/mastercard
- Sharia compliant credit card with no profit added.
- Exclusive offers and discounts through Warba Rewards Program
- Ability to issue a supplementary card for any family member (ages 15+)
- Free SMS for both Local and International transactions
- Monthly card E-statement sent to your personal e-mail
- Free card issuance and renewal when issued against deposit.

Platinum Mastercard Required Documents:
- Civil ID
- Account statements for the last 3 months (6 months for private sector employees and non-Kuwaitis)
- Salary and salary continuation certificate
- Authorized signatory and PIFSS certificates (private sector employees)
you can also view the terms and conditions from this link https://warbabank.blob.core.windows.net/files/Library/Assets/Gallery/TermsandConditionsFiles/NewMastercardForm/Mastercard%20Credit%20Card%20Application%20form%20A4%20(003).pdf

Visa Signature Travel Benefits:
- The LoungeKey service, which opens the doors to more than 1,000 luxurious airport lounges around the world. For more information download the LoungeKey app or visit http://www.loungekey.com/visainfinitemena
- Travel insurance instantly for you, your spouse, and your children with coverage up to USD 500,000. For more information visit Visa CEMEA. Home Page (cardholderbenefitsonline.com)
- Purchase protection service for stolen or damaged purchases.
- Extend warranty service on purchases up to one year.
- Save up to 12% discount over 985,000+ hotels & vacation rentals worldwide with Agoda. http://www.agoda.com/visamena
- VLHC is composed of over 900 intriguing and prestigious properties. www.visaluxuryhotels.com
- Get 20% discount for 3 rides monthly with Careem. http://careem.me/superapp_visa
- Special discounts at 200 airport restaurants globally with Dragon Pass through Dine & Fly app. App Store or Google Play
- 30% off on YQ Meet & Assist services at over 450 destinations globally. https://cemea.yqnowgroup.com/
- Sharia compliant credit card with no profit added.
- Exclusive offers and discounts through Warba Rewards Program
- Ability to issue a supplementary card for any family member (ages 15+)
- Free SMS for both Local and International transactions
- Monthly card E-statement sent to your personal e-mail
- Free card issuance and renewal when issued against deposit.

Visa Signature Required Documents:
- Civil ID
- Account statements for the last 3 months (6 months for private sector employees and non-Kuwaitis)
- Salary and salary continuation certificate
- Authorized signatory and PIFSS certificates (private sector employees)
you can also view the terms and conditions from this link https://warbabank.blob.core.windows.net/files/Library/Assets/Gallery/TermsandConditionsFiles/NewVisaForm/VISA%20Credit%20Card%20Application%20form%20A4%20(006).pdf

VISA Platinum Main Benefits:
- Complimentary Airport Lounge Access with your Platinum Credit card at 25 lounges globally. www.loungekey.com
- Purchase protection service for stolen or damaged purchases.
- Extend warranty service on purchases up to one year.
- 50% off Vox Cinemas Tickets purchased online or via the app. uae.voxcinemas.com
- Save up to 12% discount over 985,000+ hotels & vacation rentals worldwide with Agoda. www.agoda.com/visamena
- VLHC is composed of over 900 intriguing and prestigious properties. www.visaluxuryhotels.com
- Special discounts at 200 airport restaurants globally with Dragon Pass through Dine & Fly app. App Store or Google Play
- 30% off on YQ Meet & Assist services at over 450 destinations globally. cemea.yqnowgroup.com
- Sharia compliant credit card with no profit added.
- Exclusive offers and discounts through Warba Rewards Program
- Ability to issue a supplementary card for any family member (ages 15+)
- Free SMS for both Local and International transactions
- Monthly card E-statement sent to your personal e-mail
- Free card issuance and renewal when issued against deposit.

VISA Platinum Required Documents:
- Civil ID
- Account statements for the last 3 months (6 months for private sector employees and non-Kuwaitis)
- Salary and salary continuation certificate
- Authorized signatory and PIFSS certificates (private sectors employees)


VISA Prepaid card Top benefits:
- Ability to control expenses
- Top up the card by transferring via the Warba App, direct deposit or redeeming the “Pocket” program points
- The ability to retrieve the amount deposited in the card by transfer or cash withdrawal from Warba Bank devices without any added fees
- Special offers and discounts on selected hotels and entertainment venues
- Free subscription to My Box to get a local address in the United States, United Kingdom and United Arab Emirates
- Superior security that enables you to shop online and through POS
- The ability to change your card pin number through ATMs, phone service 1825555, Warba Bank application App Store or Google Play 
- Free SMS service locally and globally with no minimum usage
- Free monthly e-statement receipt service in your e-mail

Ways to recharge your VISA Prepaid card:
- Warba Bank branches
- Warba Mobile Application
- Warba Online

Required Documents:
- Civil ID
- To access the full list of benefits, instructions, and offers for Visa Platinum Download the “VISA Explore” application (iOS or Android) Or visit: VISA Platinum
you can also view the terms and conditions from this link https://warbabank.blob.core.windows.net/files/Library/Assets/Gallery/TermsandConditionsFiles/prepaidcard/english/Prepaid%20Visa%20Card%20Application%20form%20A4.pdf

To get a credit card:
You can apply for any of the Warba Bank credit cards by applying through the Warba Bank website or you can visit the nearest branch to assist.


If my salary is 1000 KD, the best card for me would be:
Mastercard world is the best cash back world as it provides the best cashback rate and other benefits.

The deduction date for the credit card:
The credit card deduction date will be based on your salary disbursement date. For example: If you’re an employee in PACI, and your salary was disbursed on 24th of the month, your credit card will be deducted on the same day.

To close the credit card:
You can close your credit card by visiting your nearest Warba bank branch.

Do I have to pay all the due amount to close the card:
You are required to pay all the due amounts on your card in order to close the card.

Taking a clearance certificate without closing my card:
You will need to close your card to get a clearance certificate.

I don't like the feature of my card (visa signature). How can I change it? And what's the 
recommended card for me in this case:
To assist you with the best replacement for your card, you need to visit the nearest Warba Bank branch.

Increase the limit of my card:
You can visit the nearest Warba Bank branch to assist you.

Decrease the limit on my card:
You can visit the nearest Warba Bank branch to assist you with this service.

Delivery of Lost card:
Upon request for a lost card, the delivery courier will contact you for delivery timings.

To know the due amount for my credit card:
-	Log in to your Warba App,
-	Click on the credit card on Warba App that you would like to know the due amount of.
-	You will find the due amounts below the card details.

Re-activate my card without coming to the branch:
If you’re late for the due payment amount for your card, you will have to visit the nearest Warba Bank branch in order to re-activate your card.

Opening a visa card for 15-year-olds:
You can apply for a Visa prepaid card if you are 15 years old.

Minimum age of opening a supplementary account:
The minimum age for opening a supplementary account is 14 years old. 

The credit card replacement fees:
The replacement fees for credit cards are 5 KD for prepaid cards and 15 KD for credit card replacement.

FEES AND COMMISSIONS:
Card Fees:
•	Subscription or renewal of the Visa/ MasterCard (regular - classic) in installments and not in installments fee is 50 KD.
•	Subscription or renewal of the Gold Visa/ MasterCard Card, both in installments and not in installments fee is 80 KD
•	Subscription or renewal of the Platinum Visa/ MasterCard Card, both in installments and not in installments fee is 150 KD
•	Subscription or renewal of the basic, installment and non-installment MasterCard Card fee is 100 KD
•	Subscription or renewal of the Visa Signature Card, both in installments and not in Installments fee is 150 KD
•	Issuance/ renewal commission of a refillable prepaid visa card fee is 5 KD
•	The commission for issuing a non-refillable prepaid visa card fee is 5 KD
•	Cash withdrawal commission - (credit cards - all kinds) - (installments and non- installments) - (locally/ Gulf /international) fee is 6 KD
•	Cash withdrawal commission - (ATM cards) - (of all kinds) - (locally - other banks)	 fee is 100 fils
•	Cash withdrawal commission - (ATM cards) - (all kinds) - (Gulf) fee is 1 KD
•	Cash withdrawal commission - (ATM cards) - (all kinds) - (international) fee is 2.5%
•	Balance inquiry/ inability to withdraw due to insufficient balance (through ATMs of a bank/ other banks) (locally/ Gulf/ internationally) - (ATM cards) - (of all kinds) fee is 50 fils local, 275 fils Gulf, and 100 fils Int’l
•	Settlement fees on purchases for the customer outside Kuwait (credit and prepaid cards - all types) on all currencies (Kuwaiti dinars and foreign currencies) fee is 2.5%
•	Settlement fees on purchases/ cash withdrawals for the customer outside Kuwait (automated exchange cards - all kinds) on all currencies (Kuwaiti dinar and foreign currencies) fee is 2.5%
•	Claims fees, audits of purchases and cash withdrawals (automated exchange - credit cards - prepaid) of all kinds fee is 5 KD
•	Amending the credit limit (validity limits) fee is 10 KD based on the customer’s request: 
A-	Temporary credit limit  
B-	Permanent credit limit (according to a credit study)	
•	Authorization/ confirmation of a purchase made via bank cards (by telex) fee is 3 KD
•	Fees for reporting loss/ waste/ theft (Visa/ MasterCard) - (of all kinds) fee is 5 KD
•	Commission for sending the card (automated exchange - credit cards - prepaid) of all kinds to the customer by express mail abroad fee is 15 KD
•	Subscription or renewal of the additional Visa/ MasterCard (Classic), both in installments and not in installments fee is 25 KD
•	Subscription or renewal of the additional Visa/ MasterCard (Gold), in installments and not in installments fee is 40 KD
•	Subscription or renewal of the additional Visa/ MasterCard (Platinum) in installments and not in installments fee is 100 KD
•	Subscription or renewal of the additional World MasterCard card, in installments and not in Installments fee is 100 KD
•	Subscription or renewal of the Visa Signature Supplementary Card, both in installments and not in installments fee is 150 KD
•	Re-issue/replace Visa/ Master credit cards for non-receipt/ lost/ stolen fee is 15 KD
•	Re-issue/replace (automated teller machine) (all types) of a damaged card fee is 5 KD
•	Re-issue/replace (prepaid) (all types) of a damaged card	fee is 5 KD
•	Suspension of the card by the bank for misuse (credit cards) of all kinds	5 KD
•	Extracting a photocopy/ copy/ original notice/ operational document/ E&T (hotels/ airlines...etc) done through (credit cards) of all types fee is 10 KD
•	Issuance/renewal of the ATM card (all types) fee is 5 KD
•	Issuance/re-issue of a new password/replacement of lost (automated teller machine - credit cards - prepaid) of all kinds fee is 5 KD
•	Foreign Currency Withdrawal Fees: The transfer purchase rate is applied, and then sold in cash, in addition to settlement fees
•	Issuing a prepaid card substitute/ stolen (all types) fee is 5 KD
•	Commission for transferring the balance of a prepaid card (all types) to the customer’s account fee is 1 KD
•	Reprinting an account statement (credit and prepaid cards) of all kinds - (for one year/ per page) fee is 1 KD
•	Subscription or renewal of the World Elite MasterCard primary card, both in installments and in installments fee is 240 KD
•	Subscription or renewal of the additional World Elite MasterCard, both in installments and in installments fee is 240 KD
•	Issuing / Renewal fee of the multi-currency prepaid card that is top-up capable fee is 5 KD

Other Fees and Commissions:
You can access the fees and commissions for Cheques, Safety Deposit Box, standing orders and other fees directly from Warba Bank's website by clicking this link: https://warbabank.blob.core.windows.net/files/Library/Assets/Gallery/BankingTariffs/Fees%20&%20Commissions%2070x100%20Poster%20ENG%20APR%202023.pdf 



TRANSFERS options through Warba Online:
Warba Bank offers the following transfer options through Warba Online:
Transfers between your own accounts
Transfers to a Warba Bank account
Domestic and international telex transfers
Transfers to charitable committees
Transfers to credit or prepaid cards
Express Transfers
Transfers for payment of mobile bills and internet cards
DOCUMENTS REQUIRED FOR COMPANIES AND ESTABLISHMENTS ACCOUNT OPENINGS:
For opening an account for establishments, the following documents are required:
Commercial registration certificate, a letter from the Public Authority for Civil Information indicating the civil number of the establishment, the original civil ID card of each authorized signatory.
For Companies The notarized memorandum of association, commercial registration certificate, a letter from the Public Authority for Civil Information indicating the civil number of the company, the original civil ID card of each authorized signatory based on the memorandum of associations as amended.
Warba Bank, where we offer a range of banking services tailored to meet the unique needs of our customers.let us take a closer look at the benefits of our various customer segments: Sunbula Kids, Bloom, W, Al Safwa, Al Safwa Plus, and Almassy.
Starting with the Sunbula Kids segment, this segment is designed for children from day 1 up to 15 years old. With this segment, customers can enjoy the following benefits for Sunbula Kids segment:
Instant issuance of an ATM card with a unique design.
An ATM daily cash withdrawal limit of up to KD 2,000 from ATMs.
Investment profits as per the annual rate of return.
Cash deposit via Warba Bank ATM machines.
Domestic and international shopping across POS devices.
Free domestic and international SMS service.
Free Warba Online service from the App Store or Google Play.
Bloom segment:
Next, we have the Bloom segment, which is designed for individuals from 15 to 25 years old. The benefits of the bloom segment include:
5 winners in the social allowance monthly draw, with the 1st winner receiving KD 500, the 2nd winner receiving KD 200, and the 3rd to 5th winners receiving KD 100 each.
All-Star Rewards for high achievers, who earn a GPA of 3.5 and above out of 4.0 upon semester completion, with Warba Pocket points equivalent to KD 50.
Free issuance and renewal of a VISA prepaid card with a monthly cashback of 3%.
W segment eligibility criteria and Benefits:
For customers in the W segment, the eligibility criteria is a salary range of KD 500 to KD 1,499 and the benefits of W segment include:
Free issuance of a Platinum Mastercard for the first year.
Free issuance of a Visa Prepaid for the first year.
Instant issuance of an ATM card with a unique design.
An ATM cash withdrawal limit from ATMs of up to KD 2,000 daily.

Al Safwa segment eligibility criteria and Benefits:
For Al Safwa segment, the eligibility criteria for Al Safwa segment are a salary range of KD 1,500 to KD 2,499 OR a deposit range of KD 30,000 to KD 149,999. And the benefits of Al Safwa segment include:
A dedicated Relationship Manager.
An ATM daily cash withdrawal limit of up to KD 3,000.
Free issuance of a World Mastercard credit card for the first year.
Free issuance of a VISA Prepaid Card for the first year.
2 free Warba Concierge services per year.
A special rate on personal finance transactions.
Priority Call Center response.

Al Safwa Plus segment eligibility criteria and Benefits:
For customers in the Al Safwa Plus segment, the eligibility criteria for this segment are a salary range of KD 2500 and above, OR a deposit range of KD 150,000 to KD 349,999. And the benefits of Al Safwa Plus segment include:
A dedicated Relationship Manager.
An ATM daily cash withdrawal limit of up to KD 3,000.
Free issuance of a World Mastercard credit card for the first year.
Free issuance of a VISA Prepaid Card for the first year.
4 free Warba Concierge services per year.
A special rate on personal finance transactions.
Up to 12 months grace period on personal finance.
Priority Call Center response.

AlMassy segment eligibility criteria and Benefits:
For customers in the AlMassy segment, the eligibility criteria for this segment is for customers with a deposit range of KD 350,000 and above. The benefits of AlMassy segment include:
Free main and supplementary World Mastercard or VISA Signature credit card.
A free Cheque book.
ATM daily cash withdrawal limit up to KD 3,000.
Real estate financing facilities.
Free VISA prepaid card.
Preferred rates on investment deposits.
Personal financing up to KD 250,000.
Free Warba Concierge services.
Priority Call Center response.

Current Account:
The current account is a Sharia-compliant account that is available for both individuals and corporations. The benefits of this account include the ability to open the account in KWD or any major foreign currencies (Euro – USD - GBP), chequebook issuance, and a free VISA prepaid card for the first year. The terms of this account include a minimum amount of KD 1,000 to open the account.
Salary Account:
The salary account is an account that is suitable for private and public sector employees. The benefits of this account include an instant issuance of an ATM card with a unique design, up to KD 3,000 cash withdrawal from ATMs, a free VISA prepaid card for the first year, and a free credit card for the first year. The terms of this account include that it is for individuals only, the account currency is KWD only, and a minimum salary amount of KD 500 is required to open the account.
Investment Savings Account:
The investment savings account is a Sharia-compliant account based on the Mudarabah principle. The benefits of this account include quarterly distributed returns, up to KD 2,000 cash withdrawal from ATMs, and the ability to transfer salary to this account. Additionally, a free VISA prepaid card is provided for the first year. The terms of this account include that profits are calculated based on the account's lowest monthly balance and the account currency is KWD only.
Super Savings Account:
The super savings account is based on the Wakala investment principle and provides expected returns of up to 0.75%. The benefits of this account include the funds being invested under the Wakala investment principle, monthly distributed returns, up to KD 2,000 cash withdrawal from ATMs, and the ability to transfer salary to this account. The terms of this account include that it is for individuals only, the account can be opened in KWD or any major foreign currencies (USD – GBP - EURO), and a minimum balance of KD 1,000 is required to open the account.
KD Wakala Fixed Deposit:
The KD Wakala fixed deposit is a Sharia-compliant investment structure that is available for corporations only and is based on the Wakala investment principle. Returns for this investment range from 1 to 60 months. The benefits of this account include being based on the Wakala investment principle, being opened in KWD only, and a minimum limit of KD 3,000 to open the deposit. Returns are earned at maturity from 1 month to 18 months and returns can be earned monthly or yearly as per the customer's choice from 18 months to 60 months. The breakage rule for this account states that if the deposit is cancelled before completing one month, returns are not calculated, but if it is cancelled after completing one month, returns are calculated based on the call account's lowest profit margin.
Sunbula Fixed Deposit in Warba Bank:
Warba Bank offers a product called Sunbula Fixed Deposit, which is designed for individuals only. The deposit provides expected returns and gives customers the opportunity to participate in weekly and mega Sunbula draws. To open the deposit, customers need a minimum amount of KD 5,000, and the tenures range from 1-12, 24, 36, 48, and 60 months.
Sunbula Flexible Deposit in Warba Bank:
Sunbula Flexible Deposit is another product offered by Warba Bank, designed for individuals only. This deposit is based on the Wakala investment principle, has a minimum limit of KD 20,000, and has an investment period of 12 months. Returns are earned on a quarterly basis, and customers have the chance to participate in weekly and quarterly draws for every KD 1,000 in their deposit. Additionally, customers have the ability to withdraw KD 100 or more during the investment period and to deposit KD 100 or more during the investment period. If the deposit is cancelled before completing 12 months, returns are calculated based on the profit margin of the Sunbula Savings Account. If the deposit is cancelled after completing 12 months, returns are calculated based on the premium savings account profit margin.
Foreign Currency (FC) Wakala Fixed Deposit in Warba Bank:
Foreign Currency (FC) Wakala Fixed Deposit is another investment opportunity offered by Warba Bank, designed for both individuals and corporates. This deposit is based on the Wakala investment principle and allows customers to invest in major foreign currencies such as USD, GBP, and Euros. The minimum limit for opening the deposit is Euros 10,000, USD 10,000, or GBP 5,000, and returns are earned at maturity from 1 month to 18 months and monthly or yearly as per customer choice from 18 months to 60 months.
Mastercard and Visa Creditcards:
For information on the benefits of Mastercard creditcards, customers are advised to visit priceless.com. For information on the benefits of Visa creditcards, customers are advised to visit visamiddleeast.com.
Pocket Product:
Pocket is a fully digital loyalty program offered by Warba Bank, based on earning points and redeeming them through Warba Bank’s application services or purchasing select items from partnering merchants.
Earning Points with Pocket:
Customers can earn points with Pocket by:
Paying their mobile bill using Warba Mobile App.
Using their Credit Card and getting Points instead of Cashback.
Inviting friends to Warba using the Mobile App.
Transferring their salary and getting points instead of cash.
Redeeming Points from Pocket
Customers can redeem their points from Pocket in several ways:
Through Warba Bank application services, including buying digital vouchers, topping up their Credit Cards, paying their mobile bills, transferring points to friends, and transferring points to their Al Sunbula Account.
Through the Entertainer, where customers can enjoy exclusive discounts and unique offers from over 700 merchants across Kuwait, Dubai, Saudi Arabia, Qatar, and Oman.
Through purchasing products from Warba Bank's partners.
Note: Pocket points will expire after one year from the calendar month they were earned.
KYC (Know Your Customer):
KYC is a mandatory process in accordance with the Central Bank of Kuwait regulation, which requires banks to obtain information about the identity, personal information, financial transactions of customers periodically. The purpose of this process is to ensure the safety and security of customer information and to provide them with uninterrupted financial services. Warba Bank allows customers to update their KYC information through the bank's application in just a few simple steps.
How to Update KYC Information:
Customers can update their KYC information in 4 steps:
Identity check: Confirm if you are a US citizen, stateless nationality, or politically exposed person.
Personal information: Update your resident address, employment status, source of income and banks you are dealing with.
Transaction Volume: Update your expected transaction volume.
Tax information: Update your residency and tax identification number.
Oasis Club Airmiles:
Oasis Club is a loyalty program offered by Kuwait Airways based on airmiles. With Warba Bank's "Pocket" digital loyalty program, customers can redeem their Pocket points for Kuwait Oasis Club airmiles.
Redeeming Pocket Points for Oasis Club Airmiles:
To redeem Pocket points for Oasis Club Airmiles, customers need to have an active membership account with Oasis Club. They can follow these steps:
Go to the "Pocket" account and select "Exchange Pocket points for Kuwait Airways miles."
Enter the number of points you would like to exchange and agree to the terms and conditions.
Upon successful processing, your air miles will be credited to your Kuwait Oasis Club account.
If you don't have an Oasis Club membership, you can create one by visiting the Oasis Club website. After creating your account, the service should be available within 7 working days on Warba Pocket.
Hassala:
Hassala is a digital savings system offered by Warba Bank that helps customers save for their needs and goals. With Hassala, customers can easily manage their savings and reach their goals faster.
Creating a Hassala:
To create a Hassala, customers can follow these steps:
Start Hassala: From the main page of the Warba Bank app, select "Create a Hassala."
Select Your Goal: Determine the goal you want to save for.
Fund Your Goal: Hassala calculates the expected amount to be saved monthly or weekly from one of your accounts according to the specified period.
Ways to Save in Hassala:
Customers can save in Hassala through several methods, including:
Kharda: Transfer all the remaining funds into your Hassala daily.
Save as you spend: A predefined amount will be matched with every POS transaction you make and will be saved in your Hassala.
Sweep: Transfers any excess amount above the set account threshold to the Smart Savings account.
Automated Transfer: A standing order defined by the user for weekly or monthly transfers.
TopUp: A manual funding transaction initiated by the user at any moment.
Hassala Kids:
Hassala Kids is a unique savings app designed to educate children about the importance of saving in a fun way. With Hassala Kids, children can monitor their savings, track their goals, and view all their transactions. The benefits of Hassala Kids include increased engagement between children and guardians, full control over children's Hassalas by guardians, and a new way to reward children.
Creating a Hassala for Kids:
To create hassala for kids follow the steps: 
1- Through Warba Bank app’s main screen, select create a “Hassala”, then define a name for the Hassala and a goal.
2- Click on “Link Hassala” and enter the kid’s details then create a PIN code for your child.
3- To complete the process, download the “Hassala Kids” app on your child’s device and enter your child’s Civil ID and PIN code.
Postshipper Service:
A mail forwarding company that allows its customers to obtain UK and USA local shipping addresses for international purchases and shipments of items to local addresses in Kuwait. Customers can order, track, and pay for these shipments through the Warba app and receive their items through different couriers at competitive rates.
Personal Finance Management:
An advanced dashboard service that helps clients control their net worth. The main features include My Portfolio, which provides access to the client's assets in a graph showing their net worth, My Cashflow, which displays the inflow and outflow of money, and My Spending and Budget, which tracks spending trends and allows clients to set a budget plan. The service also provides updates on the client's banking experience with Warba Bank, as well as services such as Hassalaty, Payment Due, Request History, and the ability to fully customize the look and feel of the dashboard through the settings.
Entertainer Product:
A digital coupon subscription service that offers Buy One Get One Free and discount offers for restaurants, attractions, activities, sports, fitness venues, and more across Kuwait, Dubai, Qatar, KSA, and Oman. Users can access an annual pass for The Entertainer at a significant discount through Warba Pocket, which is fully integrated and accessible through Warba Bank.
Super Transfer (Service by Mastercard):
An international remittance service offered by Warba Bank that enables its retail customers to transfer funds internationally to predefined beneficiaries in a convenient and easy way. The service offers competitive FX rates, the ability to track transaction status, and ensures that the full amount remitted is received by the beneficiary. The two modes of transfer available are Bank Account transfer and Mobile Wallet transfer.
Mustashar Product:
A digital service from Warba Bank that provides tips and smart solutions to improve the customer's experience when using the bank's application. The service uses artificial intelligence to analyze available data and provide smart banking advice, as well as navigate customers to the required services directly and provide fast assistance.
Express Finance - Cash:
A financial financing product offered by Warba Bank that allows customers to obtain a finance of up to KD 250,000 in the form of Musawama, in return for holding funds as an investment. The guarantee held can be from a Savings account, Premium Saving account, Sunbula account, or Wakala fixed deposit. The product offers financing of up to KD 250,000, does not require a salary transfer, and is compatible with Sharia principles.
Split Bill:
A digital service that allows Warba Bank customers to request payments from anyone with a phone number and an ATM card for a local bank. Customers can go to the services tab in the Warba Bank app, choose the Pay Me service, and then choose between contacts for single or multiple money requests. The service allows customers to request from KD 5 to KD 500 per link, request up to KD 5,000 per month, track payment requests, send requests to 10 people a day, and send 10 links to the same person per day.
Smart Cash:
A digital service provided by Warba Bank that enables customers to transfer a cash amount from their credit card to their account directly and without any fees.
Steps of Smart Cash:
Step are as follow:
1- Log in to Warba service via the application.
2- Select the credit card tab, then the service "Smart Cash".
3- The exact amount for this process will be calculated and displayed. You can adjust the desired amount and then click on "Submit Request".
4- Enter the password, then press "Confirm".
5- Upon successful completion of the application, the calculated amount will be deducted from the card immediately and deposited into customer's salary account.
JAM3EYA digital product:
What is Jam3eya?
Jam3eya is a new and advanced digital solution that transforms one of our social habits. This service provides a simple and organized way of handling group expenses.
Benefits of Jam3eya:
Select the monthly Jam3iya amount
Pick the number of participants
Choose the goal of the Jam3eya
Keep track of the invitations
Track monthly payments
MY BUDGET digital product:
What is My Budget?
My Budget is a service provided by Warba App that enables you to define your monthly expenses. This service helps you keep track of your monthly expenses and make smart financial decisions.
Benefits of My Budget:
Ease of setting a monthly plan
Help keep track of the monthly expenses
Save the monthly plan in the application
Ability to adjust the budget at any time
Notifications in case of exceeding the specified plan
DASHBOARD service:
What is Dashboard?
Warba Bank provides a smart platform that enables customers to track their spending and make smart financial decisions. This platform is known as Dashboard.
Benefits of Dashboard:
Track your monthly expenses
View spent amounts
Calculate your expenses of all types
Follow-up due payments
Follow up financial requests record
Know updates such as installments, payment dates, etc.
SHAKE AND SHARE service:
What is Shake and Share?
Shake and Share is a service provided by Warba Bank that allows customers to report any issue or suggest a new feature in the application. This service provides a convenient and efficient way of communicating with the bank.
Benefits of Shake and Share:
Ease of submitting suggestions.
No need to visit the bank.
Submit wherever you are.
Report your issue immediately.
MY PORTFOLIO product:
What is My Portfolio?
My Portfolio is a list that contains all the details of your accounts, credit cards, investment deposits, and debts. This service provides a comprehensive overview of your financial status.
SOCIAL CIRCLE service:
What is Social Circle?
Social Circle is a service that allows you to create and control all your beneficiaries with ease.
APPLY FOR CREDIT CARD service:
What is Apply for Credit Card?
Apply for Credit Card is a service that enables you to request the credit card that suits your banking needs.
OPEN & MANAGE DEPOSITS service:
What is Open & Manage Deposits?
Open & Manage Deposits is a service that allows you to create and control various types of deposits with ease.
ACTIVATE CARDS service:
What is Activate Cards?
Activate Cards is a service that enables you to activate your cards through the Warba Bank application with ease.
TRANSFER MONEY service:
What is Transfer Money?
Transfer Money is a service that allows you to easily transfer money with Warba Bank app.
SAFE LOGIN service:
What is Safe Login?
Safe Login is a feature that enables you to access the Warba Bank application safely by using face print technology.
PAYMENT SERVICES:
What is the Payment Services?
The payment services offered by Warba Bank allow customers to purchase digital cards through the Warba Bank application.
MOBILE BILLS PAYMENTS:
What is Mobile Bills Payments?
Warba Bank offers a mobile bill payment service that allows customers to pay and schedule phone bills easily and securely.
BRANCH & ATM LOCATIONS:
Where are the Branch & ATM Locations?
All Warba Bank branch locations and ATMs can be found in the Warba App and the Warba Bank website https://www.warbabank.com/english/locate-us 

Branches of Warba Bank:
Warba Bank has 17 branches, 19 branch ATMs, and 58 offsite ATMs in Kuwait.

Branches Locations:
Warba Bank has branches located in several locations in Kuwait, including:
Avenues Mall, Grand Avenues 
Egaila 
Farwaniyah 
Jahra 
Sharq 
Mangaf 
Salmiyah 
Shuhada 
Mubarak Al-Abdullah 
Kaifan 
Kuwait Airport T4.
Hawally 
Adailiya 
Jaber Al-Ahmad 
Jaber Al-Ali 
Abu Fatira 
Fahaheel 

CURRENCY EXCHANGE:
What is Currency Exchange?
Customers can find out the currency exchange rates through the Warba Bank application.
FINANCE CALCULATOR service:
What is Finance Calculator?
The finance calculator provided by Warba Bank allows customers to calculate the required financing value and know the payment details.
PRAYER TIMES service:
What is Prayer Times?
The Warba Bank app allows customers to track prayer times and the direction of the Qiblah.
SALARIES LIST:
What is Salaries List?
The salary disbursement schedule is available through the Warba Bank app.
WESTERN UNION:
What is Western union in Warba Bank?
Warba Bank introduces Western Union, an international send money service that provides customers with the opportunity to send money internationally to selected beneficiaries.
Why send money through Western Union with Warba Bank?
Sending money through Western Union with Warba Bank is quick and easy with competitive FX rates. The service also offers tracking transaction status, instant cash receiving by the beneficiary, multiple payout channels worldwide, a guarantee for the beneficiary to receive the full amount, loyalty programs, transfer discounts, and the ability to send money 24 hours a day, 7 days a week.
How to add a beneficiary in Western Union through Warba Bank application?
To add a beneficiary in Western Union through the Warba Bank app, follow these steps:
Visit the services screen and click on the Transfer/Pay tap.
Click on “Western Union”.
Click on “Beneficiaries” to add a new beneficiary.
How to send money with Western Union through Warba Bank application?
To send money with Western Union through the Warba Bank app, follow these steps:
Click on “Western Union”.
Select “Send Money”.
Select the beneficiary and payment account.
Press calculate to view the exchange rates and fees.
Click on “send Money” to confirm.
How to track your transfer of Western Union or Cancel the Western Union transfer?
To track your transfer of Western Union or cancel the transfer, follow these steps:
1-Click on “Western Union “.
2-Select “History " Tap.
3-View your transaction details/status.
4-To cancel transaction, click on Refund Money.
I Pay Service:
The I Pay service is an instant payment service provided by Warba Bank that allows customers to make fast and safe payments to beneficiaries with local banks using the Knet gateway. The conditions for using the I Pay service are as follows:
Minimum amount: 5 KD
Maximum amount per day: 1000 KD
Maximum amount per month: 5000 KD
Maximum amount per transaction: 500 KD
Payment link validity: 24 hours
Kuwait Clearing Company (Maqasa):
With Warba Bank, customers can keep up with the stock market through the Kuwait Clearing Company (Maqasa) service. The service displays all the available shares in KCC and their last closed market price by Borusa Kuwait. The benefits of using the Kuwait Clearing Company (Maqasa) service are:
Simple integration with KCC
No need to know the trading ID
No need for any further documents from the customer
Shows all shares available in KCC and their last closed market price by Borusa Kuwait
Free of charge service
To subscribe to the Kuwait Clearing Company (Maqasa) service, customers need to follow these steps:
Go to the “KCC Widget” from the dashboard.
Click on “Link Your KCC account”
Read and agree to the terms and conditions.
Enter your password for verification.
Private Housing Finance:
Warba Bank also offers a unique service called Private Housing Finance, which allows customers to benefit from calculating and displaying the discretionary deal for housing finance. To use the Private Housing Finance service, customers need to follow these steps:
Click on the side menu “Other Options” and then click the “Private Housing Finance” icon
Select the finance amount, property type, down payment, and the duration needed
The full financed deal will be shown to the customer and they can continue the financing journey by tapping “Next”
In the income verification step, the customer should fill in all the incomes generated from:
a. Net business profit
b. Real estate incomes
c. Property target to purchase (optionally)
The customer can submit their request by filling in their name and mobile number
A general message will be shown, and one of Warba Bank's agents will contact the customer in a short time.
Salary Transfer Certificate:
Warba Bank allows customers to request a Salary Transfer Certificate either by visiting a branch or through the Wabra mobile application. This service makes it convenient for customers to have their salary transfer certificate available at their fingertips.

### the below information belong to SiDi customers only ###

SiDi Definition and conditions:
SiDi is a digital wallet designed for only non-Kuwaiti individuals with salaries of 400 KD and below only. With SiDi, SiDi customers can enjoy a range of benefits and services that are fast, free, and secure.
SiDi stands for Simply Digital. It is a digital wallet with an IBAN number designed for only non-Kuwaiti individuals only with salaries of 400 KD and below. SiDi customers can access through the SiDi app on your smartphone. SiDi customers can use SiDi to receive their salary, pay their bills, transfer money, and more.
non-Kuwaiti individuals of salary above than KD 400 can not apply for SiDi.
SiDi customer can not apply for credit card or own one. The card type for SiDi customers is a Debit Card only.

Benefits of SiDi:
What are the benefits of SiDi?
 SiDi offers you many benefits, such as:
- Digital onboarding through the SiDi app, available in 7 languages.
- Free account opening with no minimum balance.
- Free debit card issuance, delivery, and activation all through the SiDi app.
- Hassle-free salary transfer service for SiDi customers to receive salaries securely through a dedicated IBAN
- Cash withdrawal service on any ATM and cash deposit in Warba bank ATMs
- International remittance services that allow you to send money home through the SiDi app.
- Instant money transfer to other SiDi customers who have a SiDi wallet.
- Free mobile bill payments

Becoming a SiDi customer:
How can people become a SiDi customer?
Becoming a SiDi customer is easy and quick. All you need to do is follow these steps:
1. Download the SiDi app from Google play store, Apple store, or Huawei App Gallery
2. Register with SiDi and start the onboarding journey
3. Provide basic information about yourself
4. Upload your Civil ID or Kuwait Mobile ID (make sure it's not expired or near expiry)
5. Record a video selfie
6. Share some details about your employment
7. Digitally sign and your application is complete

Getting SiDi card method:
How can customer get his SiDi card?
Once customer complete his application, he/she will receive the SiDi card along with the SiDi wallet opening forms at their location. customer will need to sign the forms and hand them over to the courier.

After the customer receives his SiDi card: 
What do customers do when he/she receive the SiDi card?
Before customer can use the SiDi card, customer will need to register a SiDi username and activate your card on the SiDi app. Here's how:
1. Go to the SiDi app and click on "Register" and "Register SiDi application".
2. Enter your account number, civil ID number, and mobile number.
3. Set three security questions and a security image for signing in.
4. Set a username and password to be used for signing in to the SiDi app.

After registering a SiDi account:
What do I do after registering a SiDi account?
After registering a SiDi account, customer will need to activate your SiDi card on the SiDi app. Here's how:
1. After signing in to the SiDi app, click on "Activate Card" on the home page.
2. Enter your SiDi card 16 digits and select the expiry date.
3. Create a 4-digit PIN code and enter your password to confirm.

Using SiDi debit card places:
Where can customer use the SiDi debit card?
customer can use the SiDi debit card anywhere in Kuwait and abroad where debit cards are accepted. customer can also use it for online purchases.

Withdraw cash using the SiDi card:
Where can customer withdraw cash using the SiDi card?
customer can withdraw cash from any ATM that accepts K-Net cards domestically and internationally. customer can also deposit cash using his/her SiDi card in selected Warba bank ATMs.

SiDi wallet statement:
How can customers get the SiDi wallet statement?
customer can get the SiDi wallet statement for free through the SiDi app by following these steps:
1. On the SiDi app home screen, go to "My Account".
2. Click on "Get Statement" and select the timeframe for the statement.

Deposit cash using SiDi card:
Can customers deposit cash using the SiDi card?
Yes, customers can deposit cash using their SiDi card in Avenues Mall, Egaila Warba ATM, Hawally Warba Branch ATM. To view all locations that allow cash deposit, click on this link: https://sidiwallet.com/cash-deposit/

Method of deposit money to SiDi wallet:
How to deposit money to SiDi Wallet?
To deposit money to SiDi Wallet account, customer have several options. You can use the Request Money service through the SiDi app and ask someone to send you money using any K-Net card. You can also use the Split Bill feature and request money from your friends or family for shared expenses. Another option is to transfer money from another SiDi Wallet account using the Wallet to Wallet Transfer feature. If you have a Warba Bank account, you can also transfer money from there to your SiDi Wallet account. Finally, you can receive money from any other local bank in Kuwait using your SiDi Wallet IBAN number.

How to transfer money internationally using SiDi Wallet:
With SiDi Wallet, customer can send money to his/her home country or anywhere in the world using two services: Super Transfer and Western Union. Super Transfer is a fast and secure service that allows you to transfer money to more than 50 countries with a flat fee of 2 KD per transaction. Western Union is a global leader in money transfer that lets you send money to more than 200 countries and territories with fees ranging from 1 to 8 KD depending on the destination. You don't need to visit a branch or fill out any forms to use these services. You can do everything from your SiDi app with a few taps.

Fees and tariffs for SiDi Wallet services:
SiDi Wallet offers you many benefits and features at low or no cost. For example, you can get a debit card for free when you open an account and renew it for only 5 KD. You can also pay your mobile bills and buy e-vouchers for free using your SiDi app. You can withdraw cash from any Warba ATM for free as well. The only fees you will pay are for international transfers using Super Transfer or Western Union as we explained earlier.
Limits for international transfers using SiDi Wallet:
SiDi Wallet has some limits for international transfers to ensure your security and compliance with regulations. The minimum amount you can send per transaction is 10 KD and the maximum is 500 KD. The maximum amount you can send in a day is 1,000 KD and in a month is 3,000 KD. These limits apply to both Super Transfer and Western Union services.
SiDi Card usage limits:
SiDi Wallet gives you a debit card that you can use to pay for goods and services at any point of sale (POS) terminal or to withdraw cash from any ATM. However, there are some limits for using your SiDi card to ensure your security and compliance with regulations. The minimum amount you can spend per transaction at a POS terminal is 50 fils and the maximum is 500 KD. The maximum amount you can spend in a day at a POS terminal is 1,000 KD. The maximum amount you can withdraw per transaction from an ATM is 500 KD and the maximum amount you can withdraw in a day from an ATM is 1,000 KD.
Request Money and Split Bill services limits:
SiDi Wallet also offers you two convenient features to request money from others: Request Money and Split Bill. Request Money allows you to generate a link that you can share with anyone to ask them to send you money using any K-Net card. Split Bill allows you to request money from your friends or family for shared expenses such as dining out, groceries, or gifts. However, there are some limits for using these services to ensure your security and compliance with regulations. The minimum amount you can request per transaction is 1 KD and the maximum is 150 KD. The maximum amount you can request in a day is 200 KD and in a month is 1,000 KD. The maximum number of links you can generate in a day is 10 and in a month is 20.
Local transfer limits for SiDi Wallet:
SiDi Wallet also allows you to transfer money locally within Kuwait using two options: Wallet to Wallet Transfer and Incoming Bank Transfer. Wallet to Wallet Transfer lets you send money to another SiDi Wallet account using the recipient's phone number or QR code. Incoming Bank Transfer lets you receive money from any other local bank in Kuwait using your SiDi Wallet IBAN number. However, there are some limits for using these options to ensure your security and compliance with regulations. The maximum amount you can send per day using Wallet to Wallet Transfer is 100 KD and the maximum amount you can send in a month is 500 KD. The maximum amount you can receive per month using Incoming Bank Transfer is 1,000 KD.
Countries available for Super Transfer service:
SiDi Wallet offers you a fast and secure service to transfer money internationally called Super Transfer. Super Transfer allows you to send money to more than 50 countries with a flat fee of 2 KD per transaction. Some of the countries available for Super Transfer are India, Pakistan, Philippines, Egypt, Jordan, Lebanon, Sri Lanka, Nepal, Bangladesh, Indonesia, Vietnam, Thailand, Malaysia, Singapore, China, Hong Kong, Japan, South Korea, Australia, New Zealand, Canada, USA, UK, France, Germany, Italy, Spain, Netherlands, Belgium, Switzerland, Sweden, Norway, Denmark, Finland, Ireland, Turkey, Morocco, Algeria, Tunisia and more. To view the full list of countries that you can transfer to using Super Transfer service please visit our website at https://sidiwallet.com/super-transfer/
Difference between SiDi Wallet app and Warba Bank app:
SiDi Wallet app is a separate application from Warba Bank app. SiDi Wallet app is designed for customers who want a simple and convenient way to manage their money without opening a bank account or visiting a branch. Warba Bank app is designed for customers who want a full range of banking services such as savings accounts, current accounts, credit cards, loans and investments. You can use both apps if you want to enjoy the benefits of both SiDi Wallet and Warba Bank.
Languages available for SiDi Wallet app:
SiDi Wallet app is available in seven languages to suit your preferences and needs. You can choose from Arabic, English, Hindi, Tagalog (Filipino), Tamil (Indian), Bangla (Bangladeshi) or Urdu (Pakistani). You can change the language of the app anytime from the settings menu.
SiDi Wallet channels and contacts:
Sidi customers can reach Warba Bank for any questions or feedback about SiDi Wallet app or services please feel free to contact us through any of our support channels. You can follow us on Instagram @SiDi_Wallet Facebook @SiDiWallet Twitter @SiDi_Wallet or YouTube SiDi Wallet where we post updates news tips and how-to videos in seven languages.
SiDi customers only Call Back:
If you are SiDi customer need to talk to one of our customer care agents you can request a call back from the SiDi app. To request a call back follow these steps:
1- Open SiDi app and slide the screen to view more options. Depending on the language you are using you may need to slide left or right.
2- Click on the call back button on the left. It looks like a phone icon with an arrow.
3- Enter your name mobile number and how we can help you with. You can also choose your preferred language from the drop-down menu.
4- Click on submit and wait for our call back team to contact you within 48 hours.
How to report a fraud case incident for SiDi customer:
SiDi Wallet takes your security and privacy very seriously. If you suspect any fraudulent activity on your account or card please report it immediately by calling 1825555 or visiting https://www.warbabank.com/english/report-card-fraud. 
Steps to block your card from the SiDi app for SiDi customers only:
You can also block your card from the SiDi app if you lose it or it gets stolen. To block your card follow these steps:
1- Open SiDi app and go to the card section.
2- Click on the lock icon on the top right corner of your card image.
3- Confirm that you want to block your card and enter your PIN or biometric authentication.
4- Your card will be blocked and you will receive a confirmation message.
Draws and offers for SiDi account:
SiDi Wallet rewards you for using its services and features. SiDi account has two monthly draws: SiDi Gold Draw and SiDi Cash Draw. SiDi Gold Draw is a special draw for all new SiDi customers who open an account during the promotional campaign period from January 15th to December 31st 2023. Each month one lucky winner will receive 100 grams of gold. To view more details about the prizes and winners visit https://sidiwallet.com/gold-draw/
SiDi Cash Draw is a regular draw for all SiDi customers who use their accounts for transactions such as deposits transfers payments or purchases. Each month 35 winners will share a total prize of 1000 KD. The prizes are as follows:
- 1st winner wins 200 KD
- 2nd and 3rd winner wins 100 KD
- 4 winners win 50 KD
- 8 winners win 25 KD
- 20 winners win 10 KD
To view more details about the prizes chances of winning and terms and conditions visit https://sidiwallet.com/sidi-draw/

SiDi Wallet referral program:
SiDi Wallet also has a referral program that allows you to earn money by inviting your friends and family to join SiDi. If you are a SiDi customer you can refer a friend and earn 0.250 KD for each friend who becomes a new SiDi customer. To view more details about the referral program and how to participate visit https://www.sidiwallet.com/sidi-referral-program/
SiDi Wallet has also partnered with STC to provide each SiDi customer with a bundle + SIM card with each application. The bundle includes unlimited calls within STC network 10 GB internet data and free STC pay wallet with 5 KD balance. To view more details about this offer and how to activate it visit https://www.sidiwallet.com/stc-offer/

increasing chances to win the SiDi cash draw:
How can Sidi customers increase chances to win the SiDi cash draw?
SiDi rewards you for using your digital wallet with a monthly cash draw. The more you use SiDi wallet, the more chances you have of winning the draw. Here are some ways to earn chances:
- Wallet-to-wallet transactions earn you 50 chances.
- Pay me link transactions (more than 10KD per link) earn you 100 chances.
- Mobile bill payment earns you 100 chances.
- Voucher payment earns you 100 chances.
- Other bank transfer-in earns you 100 chances.
- Civil ID update earns you 100 chances.
- KYC update earns you 100 chances.
- A minimum balance of 100 KD in the account (for a calendar month) earns you 1,000 chances.
For more information about the cash draw and previous winners, click on this link: https://sidiwallet.com/sidi-draw/

SiDi gold draw prizes:
What are the SiDi gold draw prizes?
SiDi also rewards you with a monthly gold draw. SiDi gold draw has two winners each month with one gold bullion bar for each winner. And one mega winner at the end of every quarter winning five gold bullion bars. For example, the January gold draw had two winners with one gold bullion bar for each winner. And the March gold draw had one winner who received five gold bullion bars.
For more information about the gold draw and previous winners, click on this link: https://sidiwallet.com/gold-draw/

make sure Q&A Bot that the user is a SiDi customer to provide the answers betweeen this pharagraph 

### up to here information about SiDi customers is completed ###

Warba Bank's gift service:
What is Warba Bank's gift service?
Warba Bank's gift service is a convenient way to purchase gift cards through the Warba Bank app and share them with your family and friends. You can choose from a variety of brands and categories to suit your preferences and budget.
How do I use the gift card service?
Using the gift card service is easy and simple. Here's how:
1. You can find the gift card service under the services category in the Warba Bank app.
2. Search for the category of the gift you want to purchase, such as fashion, home, jewelry, etc.
3. After selecting the gift card, choose the amount you wish to purchase, from 5 KD to 500 KD.
4. Enter the recipient's name, mobile number, and email address.
5. Confirm your payment and send the gift card.

Where can I find the gift card service?
You can find the gift card service in Warba Bank mobile app, available on iOS and Android under the services tab in Buy section. You can also access it through Warba Bank's website.

What are the brands available in the gift card service?
Warba Bank likes to give you the freedom of choice. We have partnered with several brands in different categories, such as fashion & lifestyle, home, jewelry & accessories, entertainment & leisure, health & beauty, and more. Some of the brands include H&M, Zara, IKEA, Starbucks, Carrefour, Xcite, and many others. You can browse through all the available brands in the Warba Bank app or website.

How to buy a gift card:
To buy a gift card, simply browse through the categories or search for a brand. Tap on the gift card you want to buy and select the amount and quantity. You can also add a personal message if you want. Then, tap on the buy button and confirm your payment details. You will receive a confirmation message and an email with your receipt.

How to receive a gift card:
All gift cards are fulfilled instantly and will be available in the app. You can view the gift card voucher in the My Gift Cards section. Please ensure to open the gift card at the time of redemption to ensure a smooth redemption process.

How to activate a gift card:
Most of the gift cards in the app do not require activation and are ready for redemption. Please check the gift card terms and conditions and follow the simple steps if it requires activation.

How to redeem a gift card:
Gift card purchases can be redeemed online or/and in-store. Please ensure to check the gift card Terms & Conditions to know more. To redeem online, simply enter the gift card code at checkout or follow the instructions on the voucher. To redeem in-store, show the gift card voucher on your phone or print it out and present it at the cashier.
How to buy more than one gift card:
Yes, you can buy more than one gift card without any restrictions or limitations. You can either buy multiple gift cards of the same brand or different brands. You can also buy multiple gift cards for yourself or for others.

How to share a gift card:
Yes, you can share your purchased gift cards with your family and friends. Please ensure to share the gift card voucher to ensure a smooth redemption process. You can share the voucher via email, SMS, WhatsApp, or any other app. You can also print it out and give it as a physical gift.
How to check the validity of a gift card:
Please refer to the expiry date mentioned on the gift card details. You can also check the remaining balance and validity of your gift cards in the My Gift Cards section of the app.

How to refund or cancel a gift card:
No, Gift cards are non-refundable and cannot be canceled once issued. Please make sure you select the right brand and amount before buying a gift card.
How to exchange a gift card:
No, once the gift card is issued, you cannot exchange it for another brand. However, you can use your gift card to buy another gift card from the same brand or a different brand.

How to use a gift card more than once:
Yes, you can use any value from the available amount as long as it is not expired. Please ensure to check the gift card Terms & Conditions for more details. You can use your gift card for multiple transactions until the balance is zero.

How to troubleshoot a problem with a gift card:
If you have any problem with your gift card, such as not being able to open the voucher, not receiving the confirmation email, or not being able to redeem it, please contact our customer support team at 1825555 and we will assist you as soon as possible.
Exchange Gift Cards for cash:
Are you wondering if you can exchange your gift card for cash? Unfortunately, this is not possible. According to Warba Bank, all gift cards cannot be exchanged or converted into cash. Furthermore, Warba Bank and the merchants are not liable for any lost, stolen, and misused gift cards.
Warba World:
Have you heard of Warba World? It is The First-Ever Augmented Reality Adventure game that engages customers in financial literacy. Available to play on all smartphone devices, with no app download required.
WebAR and WebVR:
Warba World utilizes WebAR and WebVR technology, which are short-hand terms for Web-based Augmented Reality and Web-based Virtual Reality. This technology utilizes the mobile web browser to deliver immersive content to users.
How to Play Warba World:
To play Warba World, follow these simple steps:
1- Select an Avatar to start playing.
2- Allow access to device motion sensors to play Warba World.
3- Tap the screen to place Warba World on the screen.
4- A 3D map of Kuwait City will be displayed on the screen.
5- A pop up will show displaying how to play Warba World.
6- Upon clicking “Start,” the timer will begin to visit the landmarks and finish the tasks to score points.
Playing Warba World:
You can play Warba World multiple times, and there are daily and weekly draws on valuable prizes when playing. To be eligible for the draws, follow these instructions:
Share your points as an Instagram story/post
Mention @Warba_Bank
Include the hashtag: #WarbaWorld
You can share your points multiple times
Privacy of Warba World:
There’s no need to add any personal details when playing Warba World.
Eligibility of Warba World:
Even if you are not a Warba Bank customer or live outside of Kuwait, you can still play Warba World. However, you cannot enter the draw unless you live in Kuwait.
Saving Progress of Warba World:
Don't worry if your game session is interrupted! Before playing the game, make sure to click on “Save My Progress” so you can resume your session later.
Rowad Definition:
Warba Bank launched an internal innovation program called “Rowad” to cultivate a creativity driven culture. What started as an ideation program has evolved into a full-fledged 7-week innovation boot camp through continuous improvement.
Purpose of Rowad:
The idea is to introduce a unique innovation program in Kuwait that provides an opportunity for participants to work with mentors and solve real-world problems through coming up with innovative solutions in a competitive fashion.
Universities Participating of Rowad:
In the previous round of Rowad, four teams from four different universities competed, including the American University of Kuwait, Australian University, Gulf University for Science & Technology, and Kuwait University.
Applying to Rowad:
Once an upcoming round is announced, you will find instructions to apply. However, rules will depend on the targeted participant and program.
Coaching with Rowad:
With every Rowad program, participants will be mentored by seasoned bankers and industry experts and coached through a leading international consulting firm that will serve as a program facilitator.

Reaching and contacting warba bank call center: 
Customers can reach Warba Bank by contacting Warba Bank call center contact number: 1825555, International Number: +96522288888. you can also reach Warba Bank through Whatsapp: 51625555

Warba Concierge:
What is Warba Concierge?	
Warba Concierge offer a wide range of concierge services to cater to our customers' needs, including but not limited to:
•	Concierge Services
•	Personal Assistance
•	Messenger Services
•	Airport Services
•	On the Road Assistance
•	Limo Services
•	Valet Services
•	Shopping Assistance
•	Personalized Approach

Warba concierge services access: 
Who can access warba concierge services?
AlSafwa, AlSafwa Plus, and AlMassy can access concierge services and personal assistance for free by calling the Warba Concierge Call Centre at 22969966.

Warba Concierge call center:
What is Warba Concierge call center? 
Al Safwa, Al Safwa Plus, Al Massy customers can access concierge services and personal assistance for free by calling the Warba Concierge Call Centre at 22969966.

Specific benefits for Al Massy segment:
What are the specific benefits for Al Massy segment customers?
Al Massy segment customers are entitled to three free concierge services per month, excluding the complimentary concierge services and personal assistance available through the Warba Concierge Call Centre. Any additional services will be charged.

Al Massy segment customers use their services:
How can Al Massy segment customers use their services?
Al Massy segment customers can contact Warba Concierge Call Centre at 22969966 to request their services. Warba Concierge team will guide them through the process and ensure their needs are met.


Al Wafi financing:
Al Wafi financing is an innovative solution in compliance with Sharia principles for all customers wishing to receive financing in Musawama form. The financing reaches up to KD 250,000 against the invested collateral.
Get several benefits as you can obtain immediate finance between KD 5,000 and KD 250,000, also earn the returns associated with your collateral.

Benefits of Al Wafi financing:
Financing up to KD 250,000
Flexible payment periods where the customer chooses either the monthly payment or the end-of-term payment
Possibility of unfreezing the collateral throughout the financing period upon settlement

Conditions of Al Wafi financing:
Customer shall be a Warba Bank customer
Minimum financing amount of KD 5,000 Maximum financing amount of KD 250,000
Settlement period shall not exceed 60 months

Collaterals of Al Wafi financing:
Savings Account, Super Savings Account, AlSunbula Account, AlSunbula Fixed Deposit.
Collateral account shall have a balance of 100% of the financing amount plus profits.

Required Documents for Al Wafi financing::
Civil ID

Specific benefits for Al Safwa Plus segment:
What are the specific benefits for Al Safwa Plus segment customers?
Al Safwa Plus segment customers can enjoy four free airport limo services per year, in addition to the complimentary concierge services and personal assistance available through the Warba Concierge Call Centre. Any additional services will be charged.

Redeem free airport limo services for Al Safwa Plus segment customers:
How can Al Safwa Plus segment customers redeem their free airport limo services?	
Al Safwa Plus segment customers can contact Warba Concierge Call Centre at 22969966 to schedule their free airport limo services. Warba Concierge team will coordinate the details and confirm the reservation.

Specific benefits for Al Safwa segment:
What are the specific benefits for Al Safwa segment customers?	
Al Safwa segment customers can enjoy two free airport limo services per year, in addition to the complimentary concierge services and personal assistance available through the Warba Concierge Call Centre. Any additional services will be charged.

Redeem free airport limo services for Al Safwa segment customers:
How can Al Safwa segment customers redeem their free airport limo services?	
Al Safwa segment customers can contact Warba Concierge Call Centre at 22969966 to schedule their free airport limo services. Warba Concierge team will coordinate the details and confirm the reservation.

Withdrawing cash from ATMs outside of Kuwait:
You can withdraw cash through ATMs using your debit card and also through POS machines.
The fees for withdrawing and paying through POS in the salary and savings account for one transaction are 2.5% with the exchange rate difference, and for credit card withdrawals, the fees will be KD 6 and 2.5% in addition to the exchange rate difference for cash operations only. As for cash operations Points of sale 2.5% in addition to the exchange rate difference.
Before traveling, it is required to submit travel notifications in order to avoid stopping the card by contacting 1825555.

Send a Pay Me link steps:
How can customers send a Pay Me link?	
Customers can send Pay Me link through the Warba App by following the steps below:
after signing into your warba account, on the bottom of the screen click on ""services"", and click on ""Pay Me"" service and follow the instructions on screen.

Apple Pay service:
Apple Pay is a mobile contactless payment solution that enables customers to make in-store, in apps, and on the web purchases with select Apple devices. You can use Apple Pay everywhere contactless payments are accepted. For more details please visit the website https://www.warbabank.com/english/personal/what-we-offer/fintech-first-or-digital-enablers/apple-pay
Add Card to Apple Pay:
1- Log in to your account on Warba Bank app and click "Services"
2- Click "Learn More" at the Apple pay box on the top of the screen
3- Select the card you wish to add to your Apple Wallet
4- Click on “Add to Apple Wallet”
5- Select the device you wish to add your card to
6- Make sure the name and card number are correct
7- Read the terms and conditions and click “Agree”
8- Select the number you wish to receive the verification code on and click “Next”
9- Enter the code received via SMS and click “Next”.
10- The card is successfully added, if you wish to make this card your default card please click on “Use as default card”

Using Apple Pay for Payments:
For Apple Pay payments, simply double-click the side button, authenticate using Face ID or a passcode, swipe to choose the card, and hold the device near the POS machine. For more details please visit the website: https://www.warbabank.com/english/personal/what-we-offer/fintech-first-or-digital-enablers/apple-pay

Card Eligible for Apple Pay:
All Mastercard's debit and credit cards. (Excluding SiDi, Corporate customers, and Multicurrency card)

Samsung Pay:
Samsung Pay for fast and contactless payments. All you have to do is add your Warba Mastercard Credit card to your Samsung mobile device and enjoy seamless payments at any POS terminal inside or outside of Kuwait.
For more details please visit the website https://www.warbabank.com/english/personal/what-we-offer/fintech-first-or-digital-enablers/samsung-pay

Payments using Samsung Pay:
1- Initiate Samsung Pay by either swiping-up from the home button or opening the Samsung Pay app from the home screen
2- Select the card you want to pay with by swiping left or right
3-Verify with your fingerprint or PIN and direct your phone to either the card reader or NFC reader to complete the transaction

Samsung Pay Eligibility:
Customers eligible to use Samsung Pay:
- This service is accessible to all Warba Bank customers with an active Mastercard or Credit Card
- Any customer using a Samsung Pay enabled Samsung Galaxy Mobile Phone or Galaxy Watch device

Garmin Pay:
Garmin Pay is a solution designed for people who are always on the move. Whether you grab a cup of coffee after your morning run or get a bite to eat while out on a ride, Garmin Pay lets you make purchases quickly and almost effortlessly with nothing needed but your watch.
For more details please visit the website https://www.warbabank.com/english/personal/what-we-offer/fintech-first-or-digital-enablers/garmin-pay

Payments using Garmin Pay:
1- Press and hold the light key to bring up the control’s menu.
2- Select the wallet icon.
3- Enter your 4 digits passcode if prompted (you will be required to enter your passcode every 24 hours or each time you remove the Garmin device from your wrist and wear it again)
4- Choose the card you want to pay with by scrolling up or down on the watch screen.
5- To pay, hold your wrist near the contactless terminal in the store.
6- When the payment succeeds, a green tick mark will appear on the screen

Garmin Pay Eligibility:
This service is accessible to all Warba Bank customers with an active Mastercard credit card
Who have a Garmin watch enabled for payment services

Google Wallet:
Google Wallet is a digital wallet service that allows you to make fast payments securely in-store, in-app and eCommerce using your cards. For more details please visit the website page: https://www.warbabank.com/english/personal/what-we-offer/fintech-first-or-digital-enablers/google-wallet

Google Wallet Usage:
1- Download Google Wallet™ from Google Play store
2- Open the Google Wallet™ and Tap ‘Add to Wallet’ and follow the instructions
3- Take a picture of your card or enter the card details
4- Accept the Terms & Conditions
5- Complete the Verifications process
6- Card has been added to Google Wallet™

Google Wallet Eligibility:
All Warba Bank Mastercard Credit Card holders using near field communication (NFC) enabled Android Lollipop 5.0 abd above devices can use Google Wallet.
Fitbit Pay:
Fitbit Pay is a contactless payment solution that lets you make payments on the go directly from your wrist with select Fitbit smartwatches and trackers, adding convenience to your life and freedom to leave your smartphone and wallet at home.  For more details please visit the website: https://www.warbabank.com/english/personal/what-we-offer/fintech-first-or-digital-enablers/fitbit-pay

Fitbit Pay Eligibility:
Supported Fitbit smartwatches and trackers are:
Fitbit Sense
Fitbit Versa 3
Fitbit Versa 2
Fitbit Charge 4
Fitbit Ionic
Fitbit Versa
Fitbit Charge 3 Special Edition

Fitbit Pay Payments:
You can pay with Fitbit Pay by following hte following steps:
- Unlock the device by pressing the side button on the Fitbit smartwatches and trackers to bring up the lock screen and enter the 4 digit pin to unlock.
- Select the card & select preferred pre-configured card. You can set the default card in the Fitbit App.
- Tap your Fitbit device on any NFC enabled POS Machine to make a payment.
- You will receive a transaction confirmation on the Fitbit smartwatches and trackers and a push notification on Fitbit App.
- Track recent Fitbit Pay purchases and manage cards in the Fitbit App.

Social media Accounts in Warba Bank:
You can reach warba bank in social media through two channels Instagram and Twitter: 
- Warba Bank Instagram account is: https://www.instagram.com/warba_bank/
- Warba Bank Twitter account is: https://twitter.com/warbabank
  
what is warba bank Twitter account?
Warba Bank Twitter account is: https://twitter.com/warbabank

what is warba bank Instagram account?
Warba Bank Instagram account is: https://www.instagram.com/warba_bank/

How is Cashback calculated?
Cashback calculation depends on 3 main factors: 1- Total amount of transactions (internationally + locally) 2- Credit card type (Mastercard World and World Elite credit card/ Prepaid) 3- The segment type. Segments of Al Safwa, Al Safwa Plus, W and AlMassy customers using Mastercard World and World Elite credit card get a cashback rate of 3% on local and international transactions if the total spent transactions are less than KD 3000. If the local spending + international spends are more than KD 3000, the cashback will be 3% for local and 6% for international transactions. Segment of normal has the lowest cashback rate of 1% irrespective of the amount of the transactions. The maximum amount for ALMASSY, ALSAFWA PLUS and ALSAFWA is equivalent and set at KD 500., while the maximum amount for W is KD 300. The maximum amount for Normal is KD 150. Prepaid card cashback is only 1% of the total transaction regardless of the segment of the customer and the maximum cashback is capped at KD 150 only for all segments.
  
  
  """

# Environment Vars
#os.environ["OPENAI_API_KEY"] = openai_api_key
import os
openai_api_key = "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"
os.environ["OPENAI_API_KEY"] = openai_api_key
#os.environ['OPENAI_API_KEY'] = st.secrets['OPENAI_API_KEY']


from langchain.embeddings.openai import OpenAIEmbeddings
from langchain.document_loaders.csv_loader import CSVLoader
from langchain.vectorstores.faiss import FAISS
from langchain.text_splitter import RecursiveCharacterTextSplitter
from langchain.text_splitter import CharacterTextSplitter
from langchain import OpenAI, VectorDBQA
from langdetect import detect
from googletrans import Translator
from langchain.vectorstores import Chroma
from langchain.document_loaders import PyPDFLoader
from langchain.chains import RetrievalQA
from langchain.llms import OpenAI
from langchain.document_loaders import TextLoader
#from langchain.translator import OpenAITranslator
import openai
from datetime import datetime
import pandas as pd
import pytz


import streamlit as st
from hashlib import sha256

def create_hashed_password(password):
    return sha256(password.encode('utf-8')).hexdigest()

def login():
    st.title('Please Login')

    entered_username = st.text_input('Username')
    entered_password = st.text_input('Password', type='password')

    if st.button('Login'):
        names = ['User', 'Customer']
        usernames = ['warba', 'Warba']
        passwords = ['warba123', 'warba123']

        hashed_passwords = [create_hashed_password(password) for password in passwords]

        for name, username, hashed_password in zip(names, usernames, hashed_passwords):
            if username == entered_username and hashed_password == create_hashed_password(entered_password):
                st.session_state["authentication_status"] = True
                st.session_state["name"] = name
                break
        else:
            st.session_state["authentication_status"] = False

        if st.session_state.get("authentication_status", None):
            return True
        elif st.session_state["authentication_status"] == False:
            st.error('Sorry, wrong login credentials')
            return False
        elif st.session_state["authentication_status"] == None:
            st.warning('Please enter your username and password')
            return False
    else:
        return False



#text_splitter = RecursiveCharacterTextSplitter(chunk_size=1000, chunk_overlap=0)
#texts = text_splitter.split_text(state_of_the_union)
#loader = PyPDFLoader("warba_5_6.pdf")
#documents = loader.load()
#texts = text_splitter.split_documents(documents)

#################
from langchain.chat_models import ChatOpenAI
from langchain.chains import ConversationalRetrievalChain
from langchain.prompts.prompt import PromptTemplate
from langchain.callbacks import get_openai_callback
qa_template = """
        You are a helpful AI assistant named Q&A bot developed and created by Warba Bank Developers. The user gives you a file its content is represented by the following pieces of context, use them to answer the question at the end.
        If you don't know the answer, just say you don't know. Do NOT try to make up an answer.
        If the question is not related to the context, politely respond that you are tuned to only answer questions that are related to the context.
        Use as much detail as possible when responding.

        context: {context}
        =========
        question: {question}
        ======
        """
QA_PROMPT = PromptTemplate(template=qa_template, input_variables=["context","question" ])

#loader = CSVLoader("Warba_QA_bot_full_dataset_June_14_csv.csv", csv_args = {"delimiter": ','})
#documents = loader.load()
loader = CSVLoader(file_path="Warba_QA_bot_full_dataset_June_14_csv_updated.csv", encoding="utf-8",csv_args={'delimiter': ',',})
data = loader.load()
#text_splitter = CharacterTextSplitter(chunk_size=1000, chunk_overlap=0)
text_splitter = RecursiveCharacterTextSplitter(chunk_size = 1000,chunk_overlap  = 0,length_function = len,)
embeddings = OpenAIEmbeddings()
vectors = FAISS.from_documents(data, embeddings)
chain = ConversationalRetrievalChain.from_llm(llm = ChatOpenAI(temperature=0.0,model_name='gpt-3.5-turbo', openai_api_key=st.secrets['OPENAI_API_KEY']),
retriever=vectors.as_retriever(),max_tokens_limit=4097,combine_docs_chain_kwargs={"prompt": QA_PROMPT})
#faissIndex = FAISS.from_documents(docs, OpenAIEmbeddings())
#faissIndex.save_local("faiss_warba_docs")
#from langchain.chains import RetrievalQA
#from langchain.chat_models import ChatOpenAI
#chatbot = RetrievalQA.from_chain_type(llm=ChatOpenAI(openai_api_key=st.secrets['OPENAI_API_KEY'],temperature=0, model_name="gpt-3.5-turbo", max_tokens=256), chain_type="stuff", retriever=FAISS.load_local("faiss_warba_docs", OpenAIEmbeddings()).as_retriever(search_type="similarity", search_kwargs={"k":1}))


##################

####### if you unhashtag the 3 hashtags, it will be Q&A
###embeddings = OpenAIEmbeddings()
###text_splitter = RecursiveCharacterTextSplitter(chunk_size=1000, chunk_overlap=0)
###texts = text_splitter.split_text(state_of_the_union)
###vectorstore = FAISS.from_texts(texts, embeddings)

#import numpy as np

#text_splitter = RecursiveCharacterTextSplitter(chunk_size=1000, chunk_overlap=0)
#texts = text_splitter.split_text(state_of_the_union)

#embeddings = OpenAIEmbeddings()
#vectorstore = FAISS.from_texts(texts, embeddings)


#db = Chroma.from_documents(texts, embeddings)
#retriever = db.as_retriever(search_type="similarity", search_kwargs={"k":2})
#llm = OpenAI(model_name='gpt-3.5-turbo',temperature=0, max_tokens=256 )
#qa = VectorDBQA.from_chain_type(llm, chain_type="stuff", vectorstore=vectorstore)
from langchain.chat_models import ChatOpenAI
#qa = VectorDBQA.from_chain_type(llm=OpenAI(model_name='gpt-3.5-turbo',temperature=0.2,max_tokens=256), chain_type="stuff", vectorstore=vectorstore)
#qa = VectorDBQA.from_chain_type(llm=ChatOpenAI(model_name='gpt-3.5-turbo',temperature=0.2,max_tokens=256), chain_type="stuff", vectorstore=vectorstore)
#qa = RetrievalQA.from_chain_type(llm=OpenAI(model_name='gpt-3.5-turbo'), chain_type="stuff", retriever=retriever, return_source_documents=True)
from langchain.chains import load_chain

#translator = OpenAITranslator()
from googletrans import Translator

#chain = load_chain("lc://chains/vector-db-qa/stuff/chain.json", vectorstore=vectorstore)
#from langchain.chains.question_answering import load_qa_chain
#chain = load_qa_chain(llm=OpenAI(model_name='gpt-3.5-turbo'), chain_type="stuff")


from googletrans import Translator

def translate_to_arabic(text):
    translator = Translator()
    result = translator.translate(text, dest='ar')
    return result.text



translator = Translator()


from langdetect import detect


import time
import streamlit as st
from datetime import datetime
import pytz

#def run_chain(query):
    #return chain.run(query)

def run_chain(chat_history, question):
    return chain.run({'chat_history': chat_history, 'question': question})


def clear_conversation():
    if (
        st.button("🧹 Clear conversation", use_container_width=True)
        or "history" not in st.session_state
    ):
        st.session_state.history = []

def download_conversation():
    conversation_df = pd.DataFrame(
        st.session_state.history, columns=["timestamp", "query", "response"]
    )
    csv = conversation_df.to_csv(index=False)

    st.download_button(
        label="💾 Download conversation",
        data=csv,
        file_name=f"conversation_{datetime.now().strftime('%Y%m%d%H%M')}.csv",
        mime="text/csv",
        use_container_width=True,
    )

def app():
    st.set_page_config(page_title="Q&A Bot", page_icon=":guardsman:")

    st.markdown("""
        <style>
            body {
                background-color: #f0f2f6;
            }
            .title {
                font-size: 25px;
                font-weight: bold;
                color: #151f6d;
                text-align: center;
            }
            .response-block {
                background-color: #151f6d;
                padding: 10px;
                color: white;
                border-radius: 5px;
                margin-top: 10px;
                text-align: center;
                font-size: 16px;  # Increase font size by one degree
            }
            .stTextInput>div>div>input {
                background-color: white;
            }
            .stButton>button {
                width: 100%;
                color: white;
                background-color: #151f6d;
            }
        </style>
    """, unsafe_allow_html=True)

    st.markdown('<div class="title">Questions and Answers Bot for Warba Bank.</div>', unsafe_allow_html=True)

    st.write("")  # Empty line for spacing
    st.write("")  # Empty line for spacing

    sidebar = st.sidebar
    show_history = sidebar.checkbox("Show conversation history", value=False)
    
    # Add the checkbox for multi-line input in the sidebar
    multiline = sidebar.checkbox('Use multi-line input')

    with sidebar.expander("More options"):
        clear_conversation()
        download_conversation()

    col1, col2 = st.columns([3,1])
    with col1:
        # Depending on the state of the checkbox, display a single-line input or a multi-line input
        if multiline:
            query = st.text_area("Enter a question and get an answer from Q&A Bot:")
        else:
            query = st.text_input("Enter a question and get an answer from Q&A Bot:")

    thinking_message_text = col1.empty()  # Create a placeholder for the 'Thinking...' text
    thinking_message_bar = col1.empty()  # Create a placeholder for the progress bar

    response_block = col1.empty()  # Create a placeholder for the response block

    with col2:
        st.write("")  # Empty line for spacing
        st.write("")  # Empty line for spacing
        if st.button("Ask"):
            if query:
                # Start progress bar
                progress_bar = thinking_message_bar.progress(0)
                for i in range(100):
                    # Update the progress bar with each iteration.
                    time.sleep(0.01)  # add delay for demonstration
                    progress_bar.progress(i + 1)
                    thinking_message_text.markdown(f'Thinking... {i+1}%', unsafe_allow_html=True)
                
                sa_time = datetime.now(pytz.timezone('Asia/Riyadh'))
                timestamp = sa_time.strftime('%Y-%m-%d %H:%M:%S')
                #response = run_chain(query)
                response = run_chain("", query)


                # Clear the progress bar and the 'Thinking...' text
                thinking_message_bar.empty()
                thinking_message_text.empty()

                # Display the response
                response_block.markdown(f'<div class="response-block"> Answer: {response}</div>', unsafe_allow_html=True)
                conversation_item = {
                    'timestamp': timestamp,
                    'query': query,
                    'response': response
                }
                st.session_state.history.append(conversation_item)


                # Write data to Google Sheet
                write_data_to_google_sheet(service, spreadsheet_url, sheet_name, [conversation_item])

    # Only show conversation history if checkbox is checked
    if show_history:
        st.write('\n\n## Conversation history')
        for item in reversed(st.session_state.history):
            st.write(f'### Question: {item["query"]}')
            st.write(f'### Answer: {item["response"]}')
            st.write('---')

            
if __name__ == "__main__":
    #st.set_page_config(page_title="My Streamlit App")
    if 'authentication_status' not in st.session_state or st.session_state["authentication_status"] == False:
        login_successful = login()
        if login_successful:
            st.experimental_rerun()
    else:
        app()


